#pragma once

void * Runtime_DynamicCast(void * srcObj, const void * fromType, const void * toType);

#define DYNAMIC_CAST(obj, from, to) ( ## to *) Runtime_DynamicCast((void*)(obj), RTTI_ ## from, RTTI_ ## to)

extern const void * RTTI_IFormFactory;
extern const void * RTTI_BaseFormComponent;
extern const void * RTTI_AlchemyItem;
extern const void * RTTI_BGSDualCastData;
extern const void * RTTI_Setting;
extern const void * RTTI_GameSettingCollection;
extern const void * RTTI_BSTArrayBase__IAllocatorFunctor;
extern const void * RTTI_TESFullName;
extern const void * RTTI_EffectSetting;
extern const void * RTTI_EffectSettingCollection;
extern const void * RTTI_EnchantmentItem;
extern const void * RTTI_IngredientItem;
extern const void * RTTI_BSModelDB__QueuedHandles;
extern const void * RTTI_TESModelDB__TESQueuedHandles;
extern const void * RTTI_MagicItem;
extern const void * RTTI_MagicItem__PreloadableVisitor;
extern const void * RTTI_MagicItemTraversalFunctor;
extern const void * RTTI_MagicItemFindFunctor;
extern const void * RTTI_MagicItemFindKeywordFunctor;
extern const void * RTTI_AnimationSystemUtils__TESModelAndAnimationHandles;
extern const void * RTTI_FindNonExcludedDeliveryFunctor;
extern const void * RTTI_FindEqualsFunctor;
extern const void * RTTI_GetCostliestEffectFunctor;
extern const void * RTTI_LongestDurationFunctor;
extern const void * RTTI_LargestAreaFunctor;
extern const void * RTTI_GetMagicItemDescriptionFunctor;
extern const void * RTTI_ScrollItem;
extern const void * RTTI_SpellItem;
extern const void * RTTI_ExtraSeenData;
extern const void * RTTI_BSExtraData;
extern const void * RTTI_ExtraHavok;
extern const void * RTTI_ExtraEditorID;
extern const void * RTTI_MagicTarget;
extern const void * RTTI_ExtraTimeLeft;
extern const void * RTTI_ExtraLock;
extern const void * RTTI_ExtraTeleport;
extern const void * RTTI_ExtraStartingPosition;
extern const void * RTTI_ExtraOwnership;
extern const void * RTTI_ExtraGlobal;
extern const void * RTTI_ExtraRank;
extern const void * RTTI_ExtraCount;
extern const void * RTTI_ExtraWorn;
extern const void * RTTI_ExtraWornLeft;
extern const void * RTTI_ExtraLeveledItem;
extern const void * RTTI_ExtraOutfitItem;
extern const void * RTTI_ExtraHealth;
extern const void * RTTI_ExtraHealthPerc;
extern const void * RTTI_ExtraCharge;
extern const void * RTTI_ExtraScale;
extern const void * RTTI_ExtraReferenceHandle;
extern const void * RTTI_ExtraFollower;
extern const void * RTTI_ExtraOriginalReference;
extern const void * RTTI_ExtraEnableStateParent;
extern const void * RTTI_ExtraEnableStateChildren;
extern const void * RTTI_ExtraLinkedRef;
extern const void * RTTI_ExtraLinkedRefChildren;
extern const void * RTTI_ExtraActivateRef;
extern const void * RTTI_ExtraActivateRefChildren;
extern const void * RTTI_ExtraRandomTeleportMarker;
extern const void * RTTI_ExtraCannotWear;
extern const void * RTTI_ExtraPoison;
extern const void * RTTI_ExtraLastFinishedSequence;
extern const void * RTTI_ExtraItemDropper;
extern const void * RTTI_ExtraDroppedItemList;
extern const void * RTTI_ExtraSavedAnimation;
extern const void * RTTI_ExtraSavedHavokData;
extern const void * RTTI_ExtraHeadingTarget;
extern const void * RTTI_ExtraRefractionProperty;
extern const void * RTTI_ExtraSound;
extern const void * RTTI_ExtraCreatureAwakeSound;
extern const void * RTTI_ExtraCreatureMovementSound;
extern const void * RTTI_ExtraWeaponIdleSound;
extern const void * RTTI_ExtraWeaponAttackSound;
extern const void * RTTI_ExtraActivateLoopSound;
extern const void * RTTI_ExtraObjectHealth;
extern const void * RTTI_ExtraFactionChanges;
extern const void * RTTI_ExtraActorCause;
extern const void * RTTI_ExtraPatrolRefData;
extern const void * RTTI_ExtraEncounterZone;
extern const void * RTTI_ExtraNavMeshPortal;
extern const void * RTTI_ExtraOcclusionPlaneRefData;
extern const void * RTTI_ExtraPortalRefData;
extern const void * RTTI_ExtraRoomRefData;
extern const void * RTTI_ExtraAliasInstanceArray;
extern const void * RTTI_ExtraSceneData;
extern const void * RTTI_ExtraBadPosition;
extern const void * RTTI_ExtraHeadTrackingWeight;
extern const void * RTTI_ExtraFavorCost;
extern const void * RTTI_ExtraTextDisplayData;
extern const void * RTTI_ExtraHorse;
extern const void * RTTI_ExtraEnchantment;
extern const void * RTTI_ExtraForcedTarget;
extern const void * RTTI_ExtraUniqueID;
extern const void * RTTI_ExtraFlags;
extern const void * RTTI_ExtraDecalGroup;
extern const void * RTTI_ExtraWaterCurrentZoneData;
extern const void * RTTI_ExtraMissingRefIDs;
extern const void * RTTI_ExtraCell3D;
extern const void * RTTI_ExtraRegionList;
extern const void * RTTI_ExtraCellSkyRegion;
extern const void * RTTI_ExtraCellImageSpace;
extern const void * RTTI_ExtraNorthRotation;
extern const void * RTTI_ExtraDetachTime;
extern const void * RTTI_ExtraCanTalkToPlayer;
extern const void * RTTI_ExtraPrimitive;
extern const void * RTTI_ExtraAmmo;
extern const void * RTTI_ExtraMagicLight;
extern const void * RTTI_ExtraFromAlias;
extern const void * RTTI_ExtraOpenCloseActivateRef;
extern const void * RTTI_ExtraTeleportName;
extern const void * RTTI_ExtraCachedScale;
extern const void * RTTI_ExtraHotkey;
extern const void * RTTI_ExtraPackageStartLocation;
extern const void * RTTI_ExtraLocation;
extern const void * RTTI_ExtraTresPassPackage;
extern const void * RTTI_ExtraRagDollData;
extern const void * RTTI_ExtraAttachRef;
extern const void * RTTI_ExtraAttachRefChildren;
extern const void * RTTI_ExtraAshPileRef;
extern const void * RTTI_ExtraLocationRefType;
extern const void * RTTI_ExtraLeveledItemBase;
extern const void * RTTI_ExtraReflectedRefs;
extern const void * RTTI_ExtraReflectorRefs;
extern const void * RTTI_ExtraWaterLightRefs;
extern const void * RTTI_ExtraLitWaterRefs;
extern const void * RTTI_ExtraLevCreaModifier;
extern const void * RTTI_ExtraSpawnContainer;
extern const void * RTTI_ExtraEmittanceSource;
extern const void * RTTI_ExtraMultiBoundRef;
extern const void * RTTI_ExtraMultiBound;
extern const void * RTTI_ExtraRoom;
extern const void * RTTI_ExtraFriendHits;
extern const void * RTTI_ExtraStartingWorldOrCell;
extern const void * RTTI_ExtraHasNoRumors;
extern const void * RTTI_ExtraTerminalState;
extern const void * RTTI_ExtraModelSwap;
extern const void * RTTI_ExtraRadius;
extern const void * RTTI_ExtraCombatStyle;
extern const void * RTTI_ExtraPackageData;
extern const void * RTTI_ExtraCollisionData;
extern const void * RTTI_ExtraGuardedRefData;
extern const void * RTTI_ExtraIgnoredBySandbox;
extern const void * RTTI_ExtraPromotedRef;
extern const void * RTTI_ExtraLargeRefOwnerCells;
extern const void * RTTI_ExtraLightData;
extern const void * RTTI_ExtraAttachedArrows3D;
extern const void * RTTI_ExtraAlphaCutoff;
extern const void * RTTI_ExtraForcedLandingMarker;
extern const void * RTTI_ExtraRefrPath;
extern const void * RTTI_ExtraCellWaterEnvMap;
extern const void * RTTI_ExtraWaterData;
extern const void * RTTI_ExtraScriptedAnimDependence;
extern const void * RTTI_ExtraCellMusicType;
extern const void * RTTI_ExtraCellAcousticSpace;
extern const void * RTTI_ExtraCellWaterType;
extern const void * RTTI_ExtraGIDBuffer;
extern const void * RTTI_ExtraMissingLinkedRefIDs;
extern const void * RTTI_BaseExtraList;
extern const void * RTTI_NonActorMagicTarget;
extern const void * RTTI_ExtraMapMarker;
extern const void * RTTI_ExtraDistantData;
extern const void * RTTI_ExtraAnimNoteReceiver;
extern const void * RTTI_ExtraLockList;
extern const void * RTTI_ExtraPersistentCell;
extern const void * RTTI_ExtraRaceData;
extern const void * RTTI_ExtraAnimGraphManager;
extern const void * RTTI_ExtraDismemberedLimbs;
extern const void * RTTI_ExtraBiped;
extern const void * RTTI_ExtraLight;
extern const void * RTTI_ExtraLeveledCreature;
extern const void * RTTI_ExtraAction;
extern const void * RTTI_ExtraShouldWear;
extern const void * RTTI_ExtraContainerChanges;
extern const void * RTTI_ExtraPackage;
extern const void * RTTI_ExtraPlayerCrimeList;
extern const void * RTTI_ExtraRunOncePacks;
extern const void * RTTI_ExtraGhost;
extern const void * RTTI_ExtraSayTopicInfoOnceADay;
extern const void * RTTI_ExtraPatrolRefInUseData;
extern const void * RTTI_ExtraFollowerSwimBreadcrumbs;
extern const void * RTTI_ExtraInfoGeneralTopic;
extern const void * RTTI_ExtraSayToTopicInfo;
extern const void * RTTI_ExtraSoul;
extern const void * RTTI_ExtraResourcesPreload;
extern const void * RTTI_ExtraPortal;
extern const void * RTTI_ExtraOcclusionShape;
extern const void * RTTI_ExtraEditorRef3DData;
extern const void * RTTI_ExtraEditorRefMoveData;
extern const void * RTTI_ExtraAnimationSequencer;
extern const void * RTTI_ExtraCellGrassData;
extern const void * RTTI_ExtraInteraction;
extern const void * RTTI_ExtraGroupConstraint;
extern const void * RTTI_MultiBoundMarkerData;
extern const void * RTTI_INISettingCollection;
extern const void * RTTI_BSStream;
extern const void * RTTI_InterfacedClass;
extern const void * RTTI_BSTask;
extern const void * RTTI_IOTask;
extern const void * RTTI_QueuedActor;
extern const void * RTTI_QueuedCharacter;
extern const void * RTTI_QueuedHead;
extern const void * RTTI_QueuedHelmet;
extern const void * RTTI_AttachDistant3DTask;
extern const void * RTTI_QueuedModel;
extern const void * RTTI_QueuedReference;
extern const void * RTTI_QueuedAnimationObject;
extern const void * RTTI_QueuedTempEffect;
extern const void * RTTI_BackgroundProcessThread;
extern const void * RTTI_QueuedTree;
extern const void * RTTI_QueuedPlayer;
extern const void * RTTI_INIPrefSettingCollection;
extern const void * RTTI_AddCellGrassTask;
extern const void * RTTI_ICellAttachDetachEventSource;
extern const void * RTTI_TES;
extern const void * RTTI_TES__SystemEventAdapter;
extern const void * RTTI_BSTempNodeManager;
extern const void * RTTI_BGSLoadFormBuffer;
extern const void * RTTI_BGSStoryManagerBranchNode;
extern const void * RTTI_BGSStoryManagerTreeForm;
extern const void * RTTI_BGSStoryManagerNodeBase;
extern const void * RTTI_Projectile__LaunchData;
extern const void * RTTI_BSModelDB__BSModelProcessor;
extern const void * RTTI_BGSAttackDataForm;
extern const void * RTTI_BGSBipedModelList;
extern const void * RTTI_BGSBipedObjectForm;
extern const void * RTTI_BGSBlockBashData;
extern const void * RTTI_BGSDestructibleObjectForm;
extern const void * RTTI_BGSEquipType;
extern const void * RTTI_BGSIdleCollection;
extern const void * RTTI_BGSKeywordForm;
extern const void * RTTI_BGSMenuDisplayObject;
extern const void * RTTI_BGSMessageIcon;
extern const void * RTTI_BGSOverridePackCollection;
extern const void * RTTI_PerkRankVisitor;
extern const void * RTTI_BGSPerkRankArray;
extern const void * RTTI_BGSPickupPutdownSounds;
extern const void * RTTI_BGSSkinForm;
extern const void * RTTI_TESActorBaseData;
extern const void * RTTI_TESAIForm;
extern const void * RTTI_TESAttackDamageForm;
extern const void * RTTI_TESModelRDT;
extern const void * RTTI_TESBipedModelForm;
extern const void * RTTI_TESContainer;
extern const void * RTTI_TESDescription;
extern const void * RTTI_TESEnchantableForm;
extern const void * RTTI_IFormFactory__IFactoryVisitor;
extern const void * RTTI_TESForm;
extern const void * RTTI_BSStorage;
extern const void * RTTI_BSMemStorage;
extern const void * RTTI_BSScript__IHandleReaderWriter;
extern const void * RTTI_SkyrimScript__BaseHandleReaderWriter;
extern const void * RTTI_SkyrimScript__DataFileHandleReaderWriter;
extern const void * RTTI_BSVMLoadTask;
extern const void * RTTI_TESHealthForm;
extern const void * RTTI_TESIcon;
extern const void * RTTI_TESImageSpaceModifiableForm;
extern const void * RTTI_TESLeveledList;
extern const void * RTTI_TESModel;
extern const void * RTTI_TESModelLODList;
extern const void * RTTI_TESModelTextureSwap;
extern const void * RTTI_TESProduceForm;
extern const void * RTTI_TESQualityForm;
extern const void * RTTI_TESRaceForm;
extern const void * RTTI_TESReactionForm;
extern const void * RTTI_TESSpellList;
extern const void * RTTI_TESTexture;
extern const void * RTTI_TESValueForm;
extern const void * RTTI_TESWeightForm;
extern const void * RTTI_ActionInput;
extern const void * RTTI_BGSAnimSoundStateManager;
extern const void * RTTI_BSAttachTechniques__BSAttachTechnique;
extern const void * RTTI_BGSAttachTechniquesUtil__ProcessTechniquesFunctor;
extern const void * RTTI_BGSAttachTechniquesUtil__AttachTechniquesFunctor;
extern const void * RTTI_BGSAttachTechniquesUtil__DetachTechniquesFunctor;
extern const void * RTTI_BGSParticleArrayAttach;
extern const void * RTTI_BGSParticleArrayAttach__EmitterPolicy;
extern const void * RTTI_BGSParticleArrayAttach__CollectEmitterPolicy;
extern const void * RTTI_BGSParticleArrayAttach__ClearEmitterPolicy;
extern const void * RTTI_BGSHavokGeometryAttach;
extern const void * RTTI_BGSHavokGeometryAttach__ActionPolicy;
extern const void * RTTI_BGSHavokGeometryAttach__AttachPolicy;
extern const void * RTTI_BGSHavokGeometryAttach__DetachPolicy;
extern const void * RTTI_BGSNamedNodeAttach;
extern const void * RTTI_BGSNamedNodeAttach__ActionPolicy;
extern const void * RTTI_BGSNamedNodeAttach__AttachPolicy;
extern const void * RTTI_BGSNamedNodeAttach__DetachPolicy;
extern const void * RTTI_BGSMultiTechniqueAttach;
extern const void * RTTI_BGSMultiTechniqueAttach__ActionPolicy;
extern const void * RTTI_BGSMultiTechniqueAttach__AttachPolicy;
extern const void * RTTI_BGSMultiTechniqueAttach__DetachPolicy;
extern const void * RTTI_hkpRayHitCollector;
extern const void * RTTI_hkpAllRayHitTempCollector;
extern const void * RTTI_BGSDecalNode;
extern const void * RTTI_QueuedPromoteReferencesTask;
extern const void * RTTI_NiProperty;
extern const void * RTTI_NiAlphaProperty;
extern const void * RTTI_BSResource__Location;
extern const void * RTTI_BSResource__LooseFileLocation;
extern const void * RTTI_BGSQueuedGrassModelHandles;
extern const void * RTTI_NiRefObject;
extern const void * RTTI_BGSPrimitive;
extern const void * RTTI_BSPortal;
extern const void * RTTI_BGSPrimitiveLine;
extern const void * RTTI_BGSPrimitivePlane;
extern const void * RTTI_BGSPrimitiveBox;
extern const void * RTTI_BGSPrimitiveSphere;
extern const void * RTTI_BSMultiBoundAABB;
extern const void * RTTI_BSMultiBoundOBB;
extern const void * RTTI_BSMultiBoundSphere;
extern const void * RTTI_BSShaderProperty__ForEachVisitor;
extern const void * RTTI_BGSSceneInfo;
extern const void * RTTI_BGSSceneInfo__TextureUse;
extern const void * RTTI_BGSTextureUseMap__TextureUse;
extern const void * RTTI_BSAnimationGraphChannel;
extern const void * RTTI_BSAnimGroupSequence;
extern const void * RTTI_BSAnimNoteReceiver;
extern const void * RTTI_IBSAnimNoteReceiver;
extern const void * RTTI_GridArray;
extern const void * RTTI_GridCellArray;
extern const void * RTTI_TESActionData;
extern const void * RTTI_InventoryUtils__ItemFilter;
extern const void * RTTI_InventoryChanges__IItemChangeVisitor;
extern const void * RTTI_BGSActionData;
extern const void * RTTI_Inventory__StatInventoryVisitor;
extern const void * RTTI_FindByEffectSettingFunctor;
extern const void * RTTI_BSExternalAudioIO__ExternalIOInterface;
extern const void * RTTI_LipSynchAnimDB__LipAudioInterface;
extern const void * RTTI_TESCameraState;
extern const void * RTTI_LocalMapCamera;
extern const void * RTTI_LocalMapCamera__DefaultState;
extern const void * RTTI_BSSplatterExtraData;
extern const void * RTTI_TESRegion;
extern const void * RTTI_TESRegionData;
extern const void * RTTI_TESRegionDataGrass;
extern const void * RTTI_TESRegionDataLandscape;
extern const void * RTTI_TESRegionDataManager;
extern const void * RTTI_TESRegionDataMap;
extern const void * RTTI_TESRegionDataObjects;
extern const void * RTTI_TESRegionDataSound;
extern const void * RTTI_TESRegionDataWeather;
extern const void * RTTI_TESRegionObjectBase;
extern const void * RTTI_TESRegionGrassObject;
extern const void * RTTI_TESRegionGrassObjectList;
extern const void * RTTI_TESRegionList;
extern const void * RTTI_TESRegionNoiseFunction;
extern const void * RTTI_TESRegionObject;
extern const void * RTTI_TESRegionObjectList;
extern const void * RTTI_BGSAddonNode;
extern const void * RTTI_BGSAddonNodeSoundHandleExtra;
extern const void * RTTI_BGSApparatus;
extern const void * RTTI_BGSArtObject;
extern const void * RTTI_BGSArtObjectCloneTask;
extern const void * RTTI_BGSConstructibleObject;
extern const void * RTTI_InventoryUtils__QuestItemFilter;
extern const void * RTTI_BGSDebris;
extern const void * RTTI_BGSPreloadable;
extern const void * RTTI_BGSExplosion;
extern const void * RTTI_BGSHazard;
extern const void * RTTI_BGSLensFlare;
extern const void * RTTI_BSLensFlareSpriteRenderData;
extern const void * RTTI_BGSLensFlareSprite;
extern const void * RTTI_BGSVolumetricLighting;
extern const void * RTTI_BGSMovableStatic;
extern const void * RTTI_BGSOutfit;
extern const void * RTTI_BGSProjectile;
extern const void * RTTI_BGSStaticCollection;
extern const void * RTTI_BGSTalkingActivator;
extern const void * RTTI_TESAmmo;
extern const void * RTTI_TESCombatStyle;
extern const void * RTTI_TESEffectShader;
extern const void * RTTI_BSParticleShaderGeometry;
extern const void * RTTI_TESFlora;
extern const void * RTTI_TESFurniture;
extern const void * RTTI_TESGrass;
extern const void * RTTI_TESKey;
extern const void * RTTI_TESLevCharacter;
extern const void * RTTI_TESLevItem;
extern const void * RTTI_TESLevSpell;
extern const void * RTTI_TESObjectLIGH;
extern const void * RTTI_TESBoundObject;
extern const void * RTTI_TESObject;
extern const void * RTTI_TESBoundAnimObject;
extern const void * RTTI_TESObjectACTI;
extern const void * RTTI_BGSOpenCloseForm;
extern const void * RTTI_TESObjectANIO;
extern const void * RTTI_TESObjectARMA;
extern const void * RTTI_TESObjectARMO;
extern const void * RTTI_TESObjectBOOK;
extern const void * RTTI_TESObjectCONT;
extern const void * RTTI_TESObjectDOOR;
extern const void * RTTI_IFadeDoneCallback;
extern const void * RTTI_TESObjectMISC;
extern const void * RTTI_TESObjectSTAT;
extern const void * RTTI_TESObjectTREE;
extern const void * RTTI_TESObjectWEAP;
extern const void * RTTI_TESSoulGem;
extern const void * RTTI_BGSEncounterZone;
extern const void * RTTI_QueuedPromoteLargeReferencesTask;
extern const void * RTTI_BGSLightingTemplate;
extern const void * RTTI_BGSLocation;
extern const void * RTTI_QueuedPromoteLocationReferencesTask;
extern const void * RTTI_BGSLocationRefType;
extern const void * RTTI_BGSReferenceEffect;
extern const void * RTTI_BGSShaderParticleGeometryData;
extern const void * RTTI_BSParticleShaderEmitter;
extern const void * RTTI_BSParticleShaderCubeEmitter;
extern const void * RTTI_BSParticleShaderSnowEmitter;
extern const void * RTTI_BSParticleShaderRainEmitter;
extern const void * RTTI_CellLoaderTask;
extern const void * RTTI_ImageSpaceModifierInstanceForm;
extern const void * RTTI_ImageSpaceModifierInstance;
extern const void * RTTI_ImageSpaceModifierInstanceTemp;
extern const void * RTTI_ImageSpaceModifierInstanceDOF;
extern const void * RTTI_ImageSpaceModifierInstanceRB;
extern const void * RTTI_TESClimate;
extern const void * RTTI_TESImageSpace;
extern const void * RTTI_NiFloatData;
extern const void * RTTI_TESImageSpaceModifier;
extern const void * RTTI_NiColorData;
extern const void * RTTI_hkBaseObject;
extern const void * RTTI_hkReferencedObject;
extern const void * RTTI_TESChildCell;
extern const void * RTTI_TESObjectLAND;
extern const void * RTTI_hkpMoppCode;
extern const void * RTTI_TESLandTexture;
extern const void * RTTI_hkpWorldCinfo;
extern const void * RTTI_hkpEntityListener;
extern const void * RTTI_CheckWithinMultiBoundTask;
extern const void * RTTI_ExtraProcessMiddleLow;
extern const void * RTTI_TESObjectCELL;
extern const void * RTTI_TESObjectCELL__IDecalRefFunctor;
extern const void * RTTI_TESWindListener;
extern const void * RTTI_bhkSerializable;
extern const void * RTTI_hkpShape;
extern const void * RTTI_bhkShape;
extern const void * RTTI_BSHandleRefObject;
extern const void * RTTI_TESObjectREFRDef__ILinkedReferenceFunctor;
extern const void * RTTI_BGSWaterCollisionManager__bhkPlaceableWater;
extern const void * RTTI_BGSWaterCollisionManager__bhkWaterfall;
extern const void * RTTI_hkpPhantomCallbackShape;
extern const void * RTTI_bhkEntity;
extern const void * RTTI_bhkPhantom;
extern const void * RTTI_bhkAabbPhantom;
extern const void * RTTI_BGSWaterCollisionManager__BGSWaterUpdateI;
extern const void * RTTI_bhkRigidBody;
extern const void * RTTI_TESObjectREFR;
extern const void * RTTI_bhkSimpleShapePhantom;
extern const void * RTTI_bhkCollisionObject;
extern const void * RTTI_bhkAcousticSpacePhantomCallbackShape;
extern const void * RTTI_bhkSphereRepShape;
extern const void * RTTI_bhkConvexShape;
extern const void * RTTI_bhkPCollisionObject;
extern const void * RTTI_bhkShapePhantom;
extern const void * RTTI_bhkSphereShape;
extern const void * RTTI_ReferenceEffectController;
extern const void * RTTI_OwnedController;
extern const void * RTTI_OwnedCameraEffectController;
extern const void * RTTI_bhkBoxShape;
extern const void * RTTI_IAnimationStreamWrite;
extern const void * RTTI_IAnimationStreamRead;
extern const void * RTTI_AnimationStreamLoadGame;
extern const void * RTTI_AnimationStreamSaveGame;
extern const void * RTTI_REFREventCallbacks__IEventCallback;
extern const void * RTTI_REFREventCallbacks__IEventCallbackFactory;
extern const void * RTTI_ExtraUsedMarkers;
extern const void * RTTI_ExtraReservedMarkers;
extern const void * RTTI_TESObjectREFRSync__REFRSyncController;
extern const void * RTTI_TESWaterForm;
extern const void * RTTI_TESWeather;
extern const void * RTTI_TESTexture1024;
extern const void * RTTI_TESWorldSpace;
extern const void * RTTI_BGSAcousticSpace;
extern const void * RTTI_NiFormArray;
extern const void * RTTI_BGSCameraPath;
extern const void * RTTI_BGSCameraShot;
extern const void * RTTI_BGSCollisionLayer;
extern const void * RTTI_BGSColorForm;
extern const void * RTTI_BGSDefaultObjectManager;
extern const void * RTTI_BGSFootstep;
extern const void * RTTI_BGSFootstepSet;
extern const void * RTTI_BGSImpactData;
extern const void * RTTI_BGSImpactDataSet;
extern const void * RTTI_BGSListForm;
extern const void * RTTI_BSMaterialObject;
extern const void * RTTI_BGSMaterialObject;
extern const void * RTTI_BGSMaterialType;
extern const void * RTTI_BGSMenuIcon;
extern const void * RTTI_BGSMessage;
extern const void * RTTI_BGSMusicPaletteTrack;
extern const void * RTTI_BGSMusicSilenceTrack;
extern const void * RTTI_BGSMusicSingleTrack;
extern const void * RTTI_BSIMusicTrack;
extern const void * RTTI_BGSMusicTrack;
extern const void * RTTI_BGSMusicTrackFormWrapper;
extern const void * RTTI_BGSMusicType;
extern const void * RTTI_BSIMusicType;
extern const void * RTTI_BSIReverbType;
extern const void * RTTI_BGSReverbParameters;
extern const void * RTTI_BSISoundCategory;
extern const void * RTTI_BGSSoundCategory;
extern const void * RTTI_BGSSoundDescriptorForm;
extern const void * RTTI_BSISoundDescriptor;
extern const void * RTTI_BSISoundOutputModel;
extern const void * RTTI_BGSSoundOutput;
extern const void * RTTI_BSISoundOutputModel__BSIAttenuationCharacteristics;
extern const void * RTTI_BGSSoundOutput__DynamicAttenuationCharacteristics;
extern const void * RTTI_BSISoundDescriptor__BSIPlaybackCharacteristics;
extern const void * RTTI_BGSSoundDescriptor;
extern const void * RTTI_BGSStandardSoundDef;
extern const void * RTTI_BGSStandardSoundDef__SoundPlaybackCharacteristics;
extern const void * RTTI_BGSTextureSet;
extern const void * RTTI_BSTextureSet;
extern const void * RTTI_BSShaderTextureSet;
extern const void * RTTI_IVisitProcedures;
extern const void * RTTI_MiscStatManager__IMiscStatVisitor;
extern const void * RTTI_MiscStatManager__FindStatByCRC;
extern const void * RTTI_BSScript__IForEachScriptObjectFunctor;
extern const void * RTTI_TESGlobal;
extern const void * RTTI_TESLoadScreen;
extern const void * RTTI_Script;
extern const void * RTTI_BSAnimGraphVisit__BShkbVisitor;
extern const void * RTTI_MagicTarget__ForEachActiveEffectVisitor;
extern const void * RTTI_TESObjectREFRDef__IAliasFunctor;
extern const void * RTTI_BSScript__IFunctionArguments;
extern const void * RTTI_BSScript__ZeroFunctionArguments;
extern const void * RTTI_MobIterOperator;
extern const void * RTTI_TESShout;
extern const void * RTTI_TESSound;
extern const void * RTTI_TESWordOfPower;
extern const void * RTTI_BGSAction;
extern const void * RTTI_BGSAssociationType;
extern const void * RTTI_TESModelPSA;
extern const void * RTTI_BGSBodyPartData;
extern const void * RTTI_BGSDialogueBranch;
extern const void * RTTI_PerkEntryVisitor;
extern const void * RTTI_BGSEntryPointFunctionData;
extern const void * RTTI_BGSEntryPointFunctionDataOneValue;
extern const void * RTTI_BGSEntryPointFunctionDataTwoValue;
extern const void * RTTI_BGSEntryPointFunctionDataLeveledList;
extern const void * RTTI_BGSEntryPointFunctionDataSpellItem;
extern const void * RTTI_BGSEntryPointFunctionDataBooleanGraphVariable;
extern const void * RTTI_BGSEntryPointFunctionDataText;
extern const void * RTTI_BGSEntryPointFunctionDataActivateChoice;
extern const void * RTTI_BGSEquipSlot;
extern const void * RTTI_BGSHeadPart;
extern const void * RTTI_TESModelTri;
extern const void * RTTI_BGSIdleMarker;
extern const void * RTTI_BGSKeyword;
extern const void * RTTI_BGSBaseAlias;
extern const void * RTTI_BGSLocAlias;
extern const void * RTTI_BGSMovementType;
extern const void * RTTI_BGSNote;
extern const void * RTTI_BGSPerk;
extern const void * RTTI_BGSPerkEntry;
extern const void * RTTI_BGSQuestPerkEntry;
extern const void * RTTI_BGSAbilityPerkEntry;
extern const void * RTTI_BGSEntryPointPerkEntry;
extern const void * RTTI_BGSRagdoll;
extern const void * RTTI_BGSRefAlias;
extern const void * RTTI_BGSRelationship;
extern const void * RTTI_BGSScene;
extern const void * RTTI_BGSSceneAction;
extern const void * RTTI_BGSSceneActionDialogue;
extern const void * RTTI_BGSSceneActionPackage;
extern const void * RTTI_BGSSceneActionTimer;
extern const void * RTTI_BGSVoiceType;
extern const void * RTTI_Reset3DMobIterator;
extern const void * RTTI_TESAnimGroup;
extern const void * RTTI_TESClass;
extern const void * RTTI_TESEyes;
extern const void * RTTI_TESFaction;
extern const void * RTTI_TESIdleForm;
extern const void * RTTI_ActorValueOwner;
extern const void * RTTI_TESActorBase;
extern const void * RTTI_TESNPC;
extern const void * RTTI_BSFaceGenModelExtraData;
extern const void * RTTI_TESQuest;
extern const void * RTTI_QueuedPromoteQuestTask;
extern const void * RTTI_TESRace;
extern const void * RTTI_BGSTextureModel;
extern const void * RTTI_BGSBehaviorGraphModel;
extern const void * RTTI_AttackAnimationArrayMap;
extern const void * RTTI_TESTopic;
extern const void * RTTI_TESTopicInfo;
extern const void * RTTI_bhkEntityListener;
extern const void * RTTI_BGSAcousticSpaceListener;
extern const void * RTTI_TargetEntry;
extern const void * RTTI_ZoneEntry;
extern const void * RTTI_BGSZoneTargetListener;
extern const void * RTTI_TrapTargetEntry;
extern const void * RTTI_bhkAction;
extern const void * RTTI_bhkCartTether;
extern const void * RTTI_hkConstraintCinfo;
extern const void * RTTI_bhkConstraint;
extern const void * RTTI_hkPrismaticConstraintCinfo;
extern const void * RTTI_bhkPrismaticConstraint;
extern const void * RTTI_bhkUnaryAction;
extern const void * RTTI_CellMopp;
extern const void * RTTI_BSTasklet;
extern const void * RTTI_BSTaskletData;
extern const void * RTTI_BSWin32TaskletData;
extern const void * RTTI_bhkBvTreeShape;
extern const void * RTTI_bhkTriSampledHeightFieldBvTreeShape;
extern const void * RTTI_CellMopp__HeightFieldWeldingTasklet;
extern const void * RTTI_hkpContactListener;
extern const void * RTTI_bhkContactListener;
extern const void * RTTI_bhkBackfaceContactListener;
extern const void * RTTI_FOCollisionListener;
extern const void * RTTI_hkpIslandActivationListener;
extern const void * RTTI_FOIslandActivationListener;
extern const void * RTTI_hkStreamWriter;
extern const void * RTTI_hkError;
extern const void * RTTI_hkStreamReader;
extern const void * RTTI_hkFileSystem;
extern const void * RTTI_HavokStreambufReader;
extern const void * RTTI_HavokStreambufWriter;
extern const void * RTTI_HavokFileStreambufReader;
extern const void * RTTI_HavokFileStreambufWriter;
extern const void * RTTI_hkNativeFileSystem;
extern const void * RTTI_HavokStreambufFactory;
extern const void * RTTI_HavokError;
extern const void * RTTI_hkpCdPointCollector;
extern const void * RTTI_hkpAllCdPointCollector;
extern const void * RTTI_LoadedAreaBound;
extern const void * RTTI_RagdollFurnitureListener;
extern const void * RTTI_hkpClosestRayHitCollector;
extern const void * RTTI_SpecificItemCollector;
extern const void * RTTI_hkpPhantomListener;
extern const void * RTTI_hkpCdBodyPairCollector;
extern const void * RTTI_bhkTrapListener;
extern const void * RTTI_TrapEntry;
extern const void * RTTI_TriggerEntry;
extern const void * RTTI_TESTrapListener;
extern const void * RTTI_hkpAllCdBodyPairTempCollector;
extern const void * RTTI_hkpAllCdPointTempCollector;
extern const void * RTTI_FindTriangleForLocationFilter;
extern const void * RTTI_FindTriangleForLocationFilterCheckDeltaZ;
extern const void * RTTI_Atmosphere;
extern const void * RTTI_Clouds;
extern const void * RTTI_Moon;
extern const void * RTTI_BSGeometryListCullingProcess;
extern const void * RTTI_Precipitation;
extern const void * RTTI_Sky;
extern const void * RTTI_TESWeather__SkyStaticFunctor;
extern const void * RTTI_SkyEffectController;
extern const void * RTTI_SkyStaticFindFunctor;
extern const void * RTTI_TempLoadGameBuffer;
extern const void * RTTI_SkyObject;
extern const void * RTTI_Stars;
extern const void * RTTI_NiBillboardNode;
extern const void * RTTI_Sun;
extern const void * RTTI_BShkNonTransformController;
extern const void * RTTI_BShkFloatController;
extern const void * RTTI_BGShkPhonemeController;
extern const void * RTTI_BSFaceGenAnimationData;
extern const void * RTTI_FutBinaryFileC;
extern const void * RTTI_BSResourceFaceGenBinaryFile;
extern const void * RTTI_BSFaceGenKeyframe;
extern const void * RTTI_BSFaceGenKeyframeExclusive;
extern const void * RTTI_BSFaceGenKeyframeMultiple;
extern const void * RTTI_BSFaceGenDB__TRI__QueuedHandles;
extern const void * RTTI_BSFaceGenModel;
extern const void * RTTI_BSFaceGenModelMap__Entry;
extern const void * RTTI_BSFaceGenMorphData;
extern const void * RTTI_BSFaceGenMorphDataHead;
extern const void * RTTI_BSFaceGenMorphDataHair;
extern const void * RTTI_BSFaceGenBaseMorphExtraData;
extern const void * RTTI_BSFaceGenNiNode;
extern const void * RTTI_BSFadeNodeCuller;
extern const void * RTTI_ActorValueInfo;
extern const void * RTTI_BGSSkillPerkTreeNode;
extern const void * RTTI_IAIWorldLocation;
extern const void * RTTI_BGSAIWorldLocation;
extern const void * RTTI_BGSAIWorldLocationRefRadius;
extern const void * RTTI_BGSAIWorldLocationPointRadius;
extern const void * RTTI_BGSAIWorldLocationInteriorCell;
extern const void * RTTI_BGSAttackDataMap;
extern const void * RTTI_BGSAttackData;
extern const void * RTTI_IAITarget;
extern const void * RTTI_BGSPackageDataBool;
extern const void * RTTI_BGSPackageDataFloat;
extern const void * RTTI_BGSPackageDataInt;
extern const void * RTTI_BGSPackageDataRefOLD;
extern const void * RTTI_BGSPackageDataLocation;
extern const void * RTTI_BGSPackageDataTargetSelector;
extern const void * RTTI_IPackageDataAIWorldLocationHandle;
extern const void * RTTI_IPackageData;
extern const void * RTTI_IAIWorldLocationHandle;
extern const void * RTTI_BGSPackageDataLocationWrapper;
extern const void * RTTI_BGSPackageDataObjectList;
extern const void * RTTI_ObjectListItem;
extern const void * RTTI_BGSPackageDataRef;
extern const void * RTTI_BGSPackageDataTopic;
extern const void * RTTI_IProcedureTreeExecState;
extern const void * RTTI_IProcedureTreeItem;
extern const void * RTTI_BGSProcedureDoneExecState;
extern const void * RTTI_BGSProcedureTreeConditionalItem;
extern const void * RTTI_BGSProcedureTreeBranch;
extern const void * RTTI_BGSProcedureTreeOneChildExecState;
extern const void * RTTI_BGSProcedureTreeSequence;
extern const void * RTTI_BGSProcedureTreeSequenceExecState;
extern const void * RTTI_BGSProcedureTreeStacked;
extern const void * RTTI_BGSProcedureTreeStackedExecState;
extern const void * RTTI_BGSProcedureTreeSimultaneous;
extern const void * RTTI_BGSProcedureTreeSimultaneousExecState;
extern const void * RTTI_BGSProcedureTreeRandom;
extern const void * RTTI_BGSProcedureTreeRandomExecState;
extern const void * RTTI_BGSProcedureGuardExecState;
extern const void * RTTI_BGSProcedureDialogueExecState;
extern const void * RTTI_BGSProcedureEatExecState;
extern const void * RTTI_BGSProcedureFindExecState;
extern const void * RTTI_BGSProcedureHoldPositionExecState;
extern const void * RTTI_BGSProcedureKeepAnEyeOnExecState;
extern const void * RTTI_BGSProcedureSayExecState;
extern const void * RTTI_BGSProcedureWaitExecState;
extern const void * RTTI_IProcedure;
extern const void * RTTI_BGSProcedureBase;
extern const void * RTTI_BGSProcedureDone;
extern const void * RTTI_IPackageDataTypeCheck;
extern const void * RTTI_BGSProcedureAcquire;
extern const void * RTTI_BGSProcedureAcquireExecState;
extern const void * RTTI_BGSProcedureActivate;
extern const void * RTTI_BGSProcedureActivateExecState;
extern const void * RTTI_BGSProcedureDialogue;
extern const void * RTTI_BGSProcedureDialogueActivate;
extern const void * RTTI_BGSProcedureDialogueActivateExecState;
extern const void * RTTI_BGSProcedureEat;
extern const void * RTTI_BGSProcedureEscort;
extern const void * RTTI_BGSProcedureEscortExecState;
extern const void * RTTI_BGSProcedureFind;
extern const void * RTTI_BGSProcedureFlee;
extern const void * RTTI_BGSProcedureFleeExecState;
extern const void * RTTI_BGSProcedureFlightGrab;
extern const void * RTTI_BGSProcedureFlightGrabExecState;
extern const void * RTTI_IMovementParameters;
extern const void * RTTI_BGSProcedureFollow;
extern const void * RTTI_BGSProcedureFollowTo;
extern const void * RTTI_BGSProcedureFollowExecState;
extern const void * RTTI_MovementParameters;
extern const void * RTTI_BGSProcedureForceGreet;
extern const void * RTTI_BGSProcedureGuard;
extern const void * RTTI_BGSProcedureHoldPosition;
extern const void * RTTI_BGSProcedureHover;
extern const void * RTTI_BGSProcedureHoverExecState;
extern const void * RTTI_BGSProcedureKeepAnEyeOn;
extern const void * RTTI_BGSProcedureLock;
extern const void * RTTI_BGSProcedureUnlock;
extern const void * RTTI_BGSProcedureLockUnlockExecState;
extern const void * RTTI_BGSProcedureOrbit;
extern const void * RTTI_BGSProcedureOrbitExecState;
extern const void * RTTI_BGSProcedurePatrol;
extern const void * RTTI_BGSProcedurePatrolExecState;
extern const void * RTTI_BGSProcedurePursue;
extern const void * RTTI_BGSProcedureSandboxExecState;
extern const void * RTTI_BGSProcedureSandbox;
extern const void * RTTI_BGSProcedureSay;
extern const void * RTTI_BGSProcedureShout;
extern const void * RTTI_BGSProcedureShoutExecState;
extern const void * RTTI_BGSProcedureSit;
extern const void * RTTI_BGSProcedureSleep;
extern const void * RTTI_BGSProcedureSitSleepExecState;
extern const void * RTTI_BGSProcedureTravel;
extern const void * RTTI_BGSProcedureTravelExecState;
extern const void * RTTI_BGSProcedureTreeProcedure;
extern const void * RTTI_BGSProcedureUseIdleMarker;
extern const void * RTTI_BGSProcedureUseIdleMarkerExecState;
extern const void * RTTI_BGSProcedureUseMagic;
extern const void * RTTI_BGSProcedureUseMagicExecState;
extern const void * RTTI_BGSProcedureUseWeapon;
extern const void * RTTI_BGSProcedureUseWeaponExecState;
extern const void * RTTI_BGSProcedureWait;
extern const void * RTTI_BGSProcedureWander;
extern const void * RTTI_BGSProcedureWanderExecState;
extern const void * RTTI_BGSVisitProceduresInitActorLocation;
extern const void * RTTI_BGSVisitProceduresCheckGuardWarnTarget;
extern const void * RTTI_PackageCreator;
extern const void * RTTI_TESPackage;
extern const void * RTTI_DialoguePackage;
extern const void * RTTI_TESPackageData;
extern const void * RTTI_TESAmbushPackageData;
extern const void * RTTI_TESCustomPackageData;
extern const void * RTTI_IProcedureTreeVisitor;
extern const void * RTTI_CustomUtils__HasForceGreetVisitor;
extern const void * RTTI_TESDialoguePackageData;
extern const void * RTTI_TESEatPackageData;
extern const void * RTTI_TESEscortPackageData;
extern const void * RTTI_TESFollowPackageData;
extern const void * RTTI_TESPatrolPackageData;
extern const void * RTTI_TESUseItemPackageData;
extern const void * RTTI_ActorPackageData;
extern const void * RTTI_TESUseWeaponPackageData;
extern const void * RTTI_UseWeaponActorPackageData;
extern const void * RTTI_PackageLocation;
extern const void * RTTI_ITempEffectFactory;
extern const void * RTTI_BSTempEffect;
extern const void * RTTI_BSTempEffectDebris;
extern const void * RTTI_BSTempEffectGeometryDecal;
extern const void * RTTI_BGSParticleObjectCloneTask;
extern const void * RTTI_BSTempEffectParticle;
extern const void * RTTI_BSTempEffectSimpleDecal;
extern const void * RTTI_BSLightingShaderMaterial;
extern const void * RTTI_BSTempEffectSPG;
extern const void * RTTI_BSTempEffectWeaponBlood;
extern const void * RTTI_BSTerrainEffect;
extern const void * RTTI_BSPSysHavokUpdateModifier__ICollisionObjectHandler;
extern const void * RTTI_NavMesh;
extern const void * RTTI_BSPathingStreamRead;
extern const void * RTTI_PathingStreamMasterFileRead;
extern const void * RTTI_BSNavmeshInfoMap__IVisitor;
extern const void * RTTI_NavMeshInfoMap;
extern const void * RTTI_hkpEntityActivationListener;
extern const void * RTTI_NavMeshObstacleManager;
extern const void * RTTI_bhkObstacleDeactivationListener;
extern const void * RTTI_bhkObstacleRemovalListener;
extern const void * RTTI_BSNavmeshReferenceObstacleArray;
extern const void * RTTI_ObstacleTaskData;
extern const void * RTTI_PathingCoverLocation;
extern const void * RTTI_BSPathingCellManager;
extern const void * RTTI_Pathing;
extern const void * RTTI_BSPathingCell;
extern const void * RTTI_PathingCell;
extern const void * RTTI_BSPathingDoor;
extern const void * RTTI_PathingDoor;
extern const void * RTTI_BSPathingLockData;
extern const void * RTTI_PathingLockData;
extern const void * RTTI_BSPathingNumericIDVisitor;
extern const void * RTTI_PathingNumericIDVisitor;
extern const void * RTTI_PathingRequest;
extern const void * RTTI_BSPathingSpace;
extern const void * RTTI_PathingSpace;
extern const void * RTTI_TeleportDoorSearch;
extern const void * RTTI_NavMeshSearchClosePoint;
extern const void * RTTI_NavMeshSearchFitSphere;
extern const void * RTTI_NavMeshSearchFlee;
extern const void * RTTI_NavMeshSearchHide;
extern const void * RTTI_BSNavmeshSearchHideFilter;
extern const void * RTTI_NavMeshSearchLOS;
extern const void * RTTI_NavMeshSearchMaxCost;
extern const void * RTTI_BSNavmeshSearchMaxCostFilters;
extern const void * RTTI_NavMeshSearchMultipleGoals;
extern const void * RTTI_NavMeshSearchSLPoint;
extern const void * RTTI_PathingRequestClosePoint;
extern const void * RTTI_IPathBuilderFactoryBase;
extern const void * RTTI_PathingRequestClosestGoal;
extern const void * RTTI_PathingRequestCover;
extern const void * RTTI_PathingRequestFlee;
extern const void * RTTI_PathingRequestFly;
extern const void * RTTI_PathingRequestFlyAction;
extern const void * RTTI_PathingRequestFlyHover;
extern const void * RTTI_PathingRequestFlyLand;
extern const void * RTTI_PathingRequestFlyOrbit;
extern const void * RTTI_PathingRequestFlyTakeOff;
extern const void * RTTI_PathingRequestHide;
extern const void * RTTI_PathingRequestLOS;
extern const void * RTTI_PathingRequestOptimalLocation;
extern const void * RTTI_PathingRequestRotate;
extern const void * RTTI_PathingRequestSafeStraightLine;
extern const void * RTTI_PathingRequestStopMoving;
extern const void * RTTI_BGSQueuedTerrainUpdate;
extern const void * RTTI_BGSQueuedTerrainUpgrade;
extern const void * RTTI_BGSQueuedTerrainDowngrade;
extern const void * RTTI_BGSQueuedTerrainInitialLoad;
extern const void * RTTI_BGSQueuedObjectUpgrade;
extern const void * RTTI_BGSQueuedObjectDowngrade;
extern const void * RTTI_BGSQueuedObjectInitialLoad;
extern const void * RTTI_BGSWaterCollisionManager__bhkAutoWater;
extern const void * RTTI_BGSWaterCollisionManager__bshkAutoWater;
extern const void * RTTI_TESWaterObject;
extern const void * RTTI_TESWaterReflections;
extern const void * RTTI_TESWaterDisplacement;
extern const void * RTTI_TESWaterNormals;
extern const void * RTTI_BGSStoryManagerTreeVisitor;
extern const void * RTTI_BGSStoryManagerQuestFinder;
extern const void * RTTI_BGSStoryManager;
extern const void * RTTI_BGSStoryManagerEventNode;
extern const void * RTTI_BGSStoryManagerQuestNode;
extern const void * RTTI_BGSStoryTeller;
extern const void * RTTI_BGSLOSData;
extern const void * RTTI_AnimationClipDataSingleton;
extern const void * RTTI_AnimationSystemUtils__QueuedReferenceAnimationTask;
extern const void * RTTI_hkaRaycastInterface;
extern const void * RTTI_BSIFootIkRaycastInterfaceDB;
extern const void * RTTI_CachedRaycastData;
extern const void * RTTI_BGSFootIkRaycastInterfaceDB;
extern const void * RTTI_IGamebryoSequenceGeneratorHolderSingleton;
extern const void * RTTI_BGSGamebryoSequenceGeneratorHolderSingleton;
extern const void * RTTI_BSSynchronizedClipGenerator__hkbSynchronizedAnimationScene;
extern const void * RTTI_BGSSynchronizedAnimationInstance;
extern const void * RTTI_BSLimbIKModifierUtilityCastInfo;
extern const void * RTTI_BSLimbIKModifierUtility;
extern const void * RTTI_IAnimationGraphManagerHolder;
extern const void * RTTI_IAnimationGraphManagerLoadingTask;
extern const void * RTTI_SimpleAnimationGraphManagerLoadingTask;
extern const void * RTTI_SimpleAnimationGraphManagerHolder;
extern const void * RTTI_WeaponAnimationGraphManagerHolder;
extern const void * RTTI_TailAnimationGraphManagerHolder;
extern const void * RTTI_TESCamera;
extern const void * RTTI_PlayerInputHandler;
extern const void * RTTI_ThirdPersonState;
extern const void * RTTI_DragonCameraState;
extern const void * RTTI_CombatBehaviorTreeRanged;
extern const void * RTTI_MessageBoxData;
extern const void * RTTI_IMessageBoxCallback;
extern const void * RTTI_ContentMenu;
extern const void * RTTI_ContentMenu__errorCallback;
extern const void * RTTI_IUIMessageData;
extern const void * RTTI_GRefCountImpl;
extern const void * RTTI_GRefCountImplCore;
extern const void * RTTI_GFxFunctionHandler;
extern const void * RTTI_MenuEventHandler;
extern const void * RTTI_CreationClubMenu;
extern const void * RTTI_CreationClub__CreationChanged_ConfirmResetCallback;
extern const void * RTTI_MarketplaceMenu;
extern const void * RTTI_Marketplace__ReportMod_CategoryCallback;
extern const void * RTTI_Marketplace__ReportMod_ConfirmCallback;
extern const void * RTTI_Marketplace__DeleteMod_ConfirmCallback;
extern const void * RTTI_Marketplace__DeleteLibraryModConfirmCallback;
extern const void * RTTI_Marketplace__DeleteAllModsConfirmCallback;
extern const void * RTTI_Marketplace__CloseMarketplace_ConfirmCallback;
extern const void * RTTI_Marketplace__ModsChanged_ConfirmResetCallback;
extern const void * RTTI_ModManagerMenu;
extern const void * RTTI_ModManager__ReportMod_CategoryCallback;
extern const void * RTTI_ModManager__ReportMod_ConfirmCallback;
extern const void * RTTI_ModManager__DeleteMod_ConfirmCallback;
extern const void * RTTI_ModManager__DeleteLibraryModConfirmCallback;
extern const void * RTTI_ModManager__DeleteAllModsConfirmCallback;
extern const void * RTTI_ModManager__CloseModManager_ConfirmCallback;
extern const void * RTTI_ModManager__ModsChanged_ConfirmResetCallback;
extern const void * RTTI_KinectMenu;
extern const void * RTTI_LoadWaitSpinner;
extern const void * RTTI_AbsorbEffect;
extern const void * RTTI_AccumulatingValueModifierEffect;
extern const void * RTTI_FindMaxMagnitudeVisitor;
extern const void * RTTI_FinishActiveEffectVisitor;
extern const void * RTTI_ActiveEffect;
extern const void * RTTI_ActiveEffectReferenceEffectController;
extern const void * RTTI_ActiveEffect__ForEachHitEffectVisitor;
extern const void * RTTI_ActorMagicCaster;
extern const void * RTTI_BSAttachTechniques__AttachTechniqueInput;
extern const void * RTTI_RefAttachTechniqueInput;
extern const void * RTTI_MagicItemDataCollector;
extern const void * RTTI_BoundItemEffect;
extern const void * RTTI_MagicTarget__IPostCreationModification;
extern const void * RTTI_CloakEffect;
extern const void * RTTI_CommandEffect;
extern const void * RTTI_CommandSummonedEffect;
extern const void * RTTI_CureEffect;
extern const void * RTTI_DarknessEffect;
extern const void * RTTI_DetectLifeEffect;
extern const void * RTTI_DisarmEffect;
extern const void * RTTI_DisguiseEffect;
extern const void * RTTI_DisguiseEffect__DetectionChecker;
extern const void * RTTI_DispelEffect;
extern const void * RTTI_DualValueModifierEffect;
extern const void * RTTI_EtherealizationEffect;
extern const void * RTTI_GrabActorEffect;
extern const void * RTTI_VampireLordEffect;
extern const void * RTTI_ConcussionEffect;
extern const void * RTTI_GuideEffect;
extern const void * RTTI_InvisibilityEffect;
extern const void * RTTI_LightEffect;
extern const void * RTTI_LightEffect__AttachBestLightVisitor;
extern const void * RTTI_LockEffect;
extern const void * RTTI_MagicCaster;
extern const void * RTTI_MagicCaster__PostCreationCallback;
extern const void * RTTI_ProcessLists__GetActorsFilter;
extern const void * RTTI_ActorTargetCheck;
extern const void * RTTI_MagicTarget__DispelFromBoundObject;
extern const void * RTTI_KeywordDispelFunctor;
extern const void * RTTI_IsSpellTargetFunctor;
extern const void * RTTI_IsSpellTypeTargetFunctor;
extern const void * RTTI_FindEffectKeywordOnTargetFunctor;
extern const void * RTTI_StartSpellHelpers__EffectGatherFunctor;
extern const void * RTTI_StartSpellHelpers__SpellEffectGatherFunctor;
extern const void * RTTI_StartSpellHelpers__DoneEffectGatherFunctor;
extern const void * RTTI_FindActiveEffectByIDFunctor;
extern const void * RTTI_EffectsCausingDamageFunctor;
extern const void * RTTI_ModelReferenceEffect;
extern const void * RTTI_NightEyeEffect;
extern const void * RTTI_ExtraMagicCaster;
extern const void * RTTI_NonActorMagicCaster;
extern const void * RTTI_OpenEffect;
extern const void * RTTI_ParalysisEffect;
extern const void * RTTI_PeakValueModifierEffect;
extern const void * RTTI_ReanimateEffect;
extern const void * RTTI_ReferenceEffect;
extern const void * RTTI_WeaponEnchantmentController;
extern const void * RTTI_ScriptedRefEffect;
extern const void * RTTI_ScriptEffect;
extern const void * RTTI_BSParticleShaderObjectEmitter;
extern const void * RTTI_BSParticleShaderRayEmitter;
extern const void * RTTI_BSParticleShaderCollisionEmitter;
extern const void * RTTI_BSParticleShaderGeometryEmitter;
extern const void * RTTI_ShaderReferenceEffect;
extern const void * RTTI_SlowTimeEffect;
extern const void * RTTI_SoulTrapEffect;
extern const void * RTTI_StaggerEffect;
extern const void * RTTI_BSPathing__CheckLineOfSightFilter;
extern const void * RTTI_CheckLineOfSightFilterMisc;
extern const void * RTTI_SummonPlacementEffect;
extern const void * RTTI_SummonCreatureEffect;
extern const void * RTTI_TargetValueModifierEffect;
extern const void * RTTI_RallyEffect;
extern const void * RTTI_DemoralizeEffect;
extern const void * RTTI_TurnUndeadEffect;
extern const void * RTTI_BanishEffect;
extern const void * RTTI_CalmEffect;
extern const void * RTTI_FrenzyEffect;
extern const void * RTTI_TelekinesisEffect;
extern const void * RTTI_ValueAndConditionsEffect;
extern const void * RTTI_ValueModifierEffect;
extern const void * RTTI_WerewolfEffect;
extern const void * RTTI_WerewolfFeedEffect;
extern const void * RTTI_TESAudio__ScriptedMusicState;
extern const void * RTTI_BGSPlayerMusicChanger;
extern const void * RTTI_MenuTopicManager;
extern const void * RTTI_BSPlatform__BSUserContent;
extern const void * RTTI_BSPlatform__BSCreation;
extern const void * RTTI_BNETSystem__ModsChanged_ConfirmResetCallback;
extern const void * RTTI_DownloadAll__uiCallback;
extern const void * RTTI_JobListManager__ServingThread;
extern const void * RTTI_BGSSaveLoadManager;
extern const void * RTTI_bgs__saveload__SaveOperationRequest;
extern const void * RTTI_bgs__saveload__LoadRequest;
extern const void * RTTI_bgs__saveload__LoadEntryRequest;
extern const void * RTTI_BGSSaveLoadManager__Thread;
extern const void * RTTI_bgs__saveload__Request;
extern const void * RTTI_BGSSaveLoadStatsMap;
extern const void * RTTI_BGSLoadGameBuffer;
extern const void * RTTI_BGSSaveFormBuffer;
extern const void * RTTI_BGSSaveGameBuffer;
extern const void * RTTI_SaveStorageWrapper;
extern const void * RTTI_LoadStorageWrapper;
extern const void * RTTI_BSResource__CacheDrive__Op;
extern const void * RTTI_BGSMoviePlayer;
extern const void * RTTI_IExplosionFactory;
extern const void * RTTI_ChainExplosion;
extern const void * RTTI_EnhanceWeaponEffect;
extern const void * RTTI_GarbageCollector;
extern const void * RTTI_IMovementControllerNPCFunctor;
extern const void * RTTI_MovementAvoidBoxEventAdapter;
extern const void * RTTI_PathManagerPositionPlayerAdapter;
extern const void * RTTI_CharacterCollisionMessagePlayerAdapter;
extern const void * RTTI_PlayerSleepWaitMovementControllerAdapter;
extern const void * RTTI_PlayerSleepWaitMovementControllerAdapter__SwitchToLoadedSetControllerFunctor;
extern const void * RTTI_PlayerSleepWaitMovementControllerAdapter__SwitchToUnloadedSetControllerFunctor;
extern const void * RTTI_DoorObstacleAdapter;
extern const void * RTTI_SystemEventAdapter;
extern const void * RTTI_Main;
extern const void * RTTI_bhkTelekinesisListener;
extern const void * RTTI_MagicFavorites;
extern const void * RTTI_BSTreeManager__IQueryCullingCamera;
extern const void * RTTI_RegSettingCollection;
extern const void * RTTI_BGSImpactManager;
extern const void * RTTI_InitTESThread;
extern const void * RTTI_DetectSignOut;
extern const void * RTTI_IMemoryManagerFileFactory;
extern const void * RTTI_IMemoryManagerFile;
extern const void * RTTI_MemoryManagerFile;
extern const void * RTTI_SceneGraph;
extern const void * RTTI_SeenData;
extern const void * RTTI_IntSeenData;
extern const void * RTTI_SpawnHazardEffect;
extern const void * RTTI_BSUIMessageData;
extern const void * RTTI_hkpWorldPostSimulationListener;
extern const void * RTTI_IMovementState;
extern const void * RTTI_IPostAnimationChannelUpdateFunctor;
extern const void * RTTI_IAnimationSetCallbackFunctor;
extern const void * RTTI_Actor;
extern const void * RTTI_PackageList__IPackageVisitor;
extern const void * RTTI_ProcessCallbackAdapter;
extern const void * RTTI_SaveLoadMagicCasterVisitor;
extern const void * RTTI_SaveGameMagicCasterVisitor;
extern const void * RTTI_LoadGameMagicCasterVisitor;
extern const void * RTTI_RevertSelectedSpellFunctor;
extern const void * RTTI_HoldWardSpellsActiveEffectVisitor;
extern const void * RTTI_hkpAllCdBodyPairCollector;
extern const void * RTTI_bhkFilteredCdBodyCollector;
extern const void * RTTI_Actor__ForEachSpellVisitor;
extern const void * RTTI_InventoryChanges__FindBestSoulGemVisitor;
extern const void * RTTI_HasSpellVisitor;
extern const void * RTTI_SumHostileEffectsFunctor;
extern const void * RTTI_ActorMediator;
extern const void * RTTI_IMovementInterface;
extern const void * RTTI_ActorState;
extern const void * RTTI_BGSVisitProceduresProcess;
extern const void * RTTI_BGSVisitProceduresInitActorAnimPose;
extern const void * RTTI_DetectionListener;
extern const void * RTTI_InstantInteractionCallback;
extern const void * RTTI_RunActionAnimationLoadedCallback;
extern const void * RTTI_BGSPerk__FindPerkInRanksVisitor;
extern const void * RTTI_BGSPerk__ApplyPerksVisitor;
extern const void * RTTI_WeaponAnimationLoadedCallback;
extern const void * RTTI_BSDoorHavokController;
extern const void * RTTI_BSPlayerDistanceCheckController;
extern const void * RTTI_BSSimpleScaleController;
extern const void * RTTI_Character;
extern const void * RTTI_HighActorCuller;
extern const void * RTTI_MountInteraction;
extern const void * RTTI_BGSPerk__AddPerkVisitor;
extern const void * RTTI_bhkMouseSpringAction;
extern const void * RTTI_PlayerCharacter;
extern const void * RTTI_IAllowEGMCacheClear;
extern const void * RTTI_hkpFirstCdBodyPairCollector;
extern const void * RTTI_TargetLock__SetTargetLockFilter;
extern const void * RTTI_PlayerRegionState;
extern const void * RTTI_IMovementFormIDManager;
extern const void * RTTI_ProcessListMovementInterface;
extern const void * RTTI_RefrInteraction;
extern const void * RTTI_SyncQueueObj;
extern const void * RTTI_MovementParametersFixed;
extern const void * RTTI_ActorMover;
extern const void * RTTI_bhkCharacterCollisionHandler;
extern const void * RTTI_CharacterCollisionHandler;
extern const void * RTTI_IMovementAvoidanceManager;
extern const void * RTTI_MovementAvoidanceManager;
extern const void * RTTI_MovementControllerNPC;
extern const void * RTTI_IMovementMessageInterface;
extern const void * RTTI_IMovementDirectControl;
extern const void * RTTI_IMovementPlannerDirectControl;
extern const void * RTTI_IMovementSelectIdle;
extern const void * RTTI_IMovementMotionDrivenControl;
extern const void * RTTI_BSPathingStreamWrite;
extern const void * RTTI_BSPathingStreamSimpleBufferWrite;
extern const void * RTTI_MovementHandlerAgentDirectControl;
extern const void * RTTI_IMovementSetPlayerControls;
extern const void * RTTI_MovementHandlerAgentPlayerControls;
extern const void * RTTI_MovementHandlerAgentPlayerControlsActionTrigger;
extern const void * RTTI_IMovementSetSprinting;
extern const void * RTTI_MovementHandlerAgentSprintActionTrigger;
extern const void * RTTI_MovementHandlerAgentStairsHelper;
extern const void * RTTI_MovementMessage;
extern const void * RTTI_MovementMessageActorCollision;
extern const void * RTTI_MovementMessageMovementTypeChange;
extern const void * RTTI_MovementPlannerAgentDirectControl;
extern const void * RTTI_MovementPlannerAgentHorseControls;
extern const void * RTTI_IMovementSetKeepOffsetFromActor;
extern const void * RTTI_MovementPlannerAgentKeepOffset;
extern const void * RTTI_IMovementSetWarp;
extern const void * RTTI_MovementPlannerAgentWarp;
extern const void * RTTI_MovementTweenerAgentAnimationDriven;
extern const void * RTTI_ITweenerNodeFollowerSetup;
extern const void * RTTI_MovementTweenerAgentNodeFollower;
extern const void * RTTI_PathingStreamLoadGame;
extern const void * RTTI_PathingStreamSaveGame;
extern const void * RTTI_InputEvent;
extern const void * RTTI_ButtonEvent;
extern const void * RTTI_HeldStateHandler;
extern const void * RTTI_PlayerControls;
extern const void * RTTI_MovementHandler;
extern const void * RTTI_LookHandler;
extern const void * RTTI_SprintHandler;
extern const void * RTTI_ReadyWeaponHandler;
extern const void * RTTI_AutoMoveHandler;
extern const void * RTTI_ToggleRunHandler;
extern const void * RTTI_ActivateHandler;
extern const void * RTTI_JumpHandler;
extern const void * RTTI_ShoutHandler;
extern const void * RTTI_AttackBlockHandler;
extern const void * RTTI_RunHandler;
extern const void * RTTI_SneakHandler;
extern const void * RTTI_TogglePOVHandler;
extern const void * RTTI_IDEvent;
extern const void * RTTI_IStaticAvoidNodeManager;
extern const void * RTTI_StaticAvoidNodeManager;
extern const void * RTTI_AlarmPackage;
extern const void * RTTI_CustomActorPackageData;
extern const void * RTTI_EscortActorPackageData;
extern const void * RTTI_FleePackage;
extern const void * RTTI_GuardActorPackageData;
extern const void * RTTI_GuardPackageData;
extern const void * RTTI_PatrolActorPackageData;
extern const void * RTTI_SandBoxActorPackageData;
extern const void * RTTI_SpectatorPackage;
extern const void * RTTI_TrespassPackage;
extern const void * RTTI_ActorKnowledge;
extern const void * RTTI_DetectionCollector;
extern const void * RTTI_DetectionState;
extern const void * RTTI_WeaponRightSwingHandler;
extern const void * RTTI_WeaponLeftSwingHandler;
extern const void * RTTI_AttackWinStartHandler;
extern const void * RTTI_AttackWinEndHandler;
extern const void * RTTI_AttackStopHandler;
extern const void * RTTI_RecoilStopHandler;
extern const void * RTTI_LeftHandSpellFireHandler;
extern const void * RTTI_RightHandSpellFireHandler;
extern const void * RTTI_VoiceSpellFireHandler;
extern const void * RTTI_LeftHandSpellCastHandler;
extern const void * RTTI_RightHandSpellCastHandler;
extern const void * RTTI_VoiceSpellCastHandler;
extern const void * RTTI_WeaponBeginDrawRightHandler;
extern const void * RTTI_WeaponBeginSheatheRightHandler;
extern const void * RTTI_RightHandWeaponDrawHandler;
extern const void * RTTI_RightHandWeaponSheatheHandler;
extern const void * RTTI_CameraOverrideStartHandler;
extern const void * RTTI_CameraOverrideStopHandler;
extern const void * RTTI_HitFrameHandler;
extern const void * RTTI_AnticipateAttackHandler;
extern const void * RTTI_StaggeredStopHandler;
extern const void * RTTI_ChairEnterHandler;
extern const void * RTTI_PlayerChairEnterHandler;
extern const void * RTTI_BedEnterHandler;
extern const void * RTTI_PlayerBedEnterHandler;
extern const void * RTTI_ChairFurnitureExitHandler;
extern const void * RTTI_BedFurnitureExitHandler;
extern const void * RTTI_PlayerFurnitureExitHandler;
extern const void * RTTI_KillActorHandler;
extern const void * RTTI_DecapitateHandler;
extern const void * RTTI_HeadTrackingOnHandler;
extern const void * RTTI_HeadTrackingOffHandler;
extern const void * RTTI_FlightTakeOffHandler;
extern const void * RTTI_FlightCruisingHandler;
extern const void * RTTI_FlightHoveringHandler;
extern const void * RTTI_FlightLandingHandler;
extern const void * RTTI_FlightPerchingHandler;
extern const void * RTTI_FlightLandHandler;
extern const void * RTTI_FlightLandEndHandler;
extern const void * RTTI_FlightActionHandler;
extern const void * RTTI_FlightActionEntryEndHandler;
extern const void * RTTI_FlightActionEndHandler;
extern const void * RTTI_FlightActionGrabHandler;
extern const void * RTTI_FlightActionReleaseHandler;
extern const void * RTTI_FlightCrashLandStartHandler;
extern const void * RTTI_BowDrawnHandler;
extern const void * RTTI_BowReleaseHandler;
extern const void * RTTI_ArrowAttachHandler;
extern const void * RTTI_ArrowDetachHandler;
extern const void * RTTI_ArrowReleaseHandler;
extern const void * RTTI_BowZoomStartHandler;
extern const void * RTTI_BowZoomStopHandler;
extern const void * RTTI_InterruptCastHandler;
extern const void * RTTI_EndSummonAnimationHandler;
extern const void * RTTI_PickNewIdleHandler;
extern const void * RTTI_DeathStopHandler;
extern const void * RTTI_ActionActivateDoneHandler;
extern const void * RTTI_StopMountCameraHandler;
extern const void * RTTI_PairedStopHandler;
extern const void * RTTI_CameraShakeHandler;
extern const void * RTTI_KillMoveStartHandler;
extern const void * RTTI_KillMoveEndHandler;
extern const void * RTTI_DeathEmoteHandler;
extern const void * RTTI_AddRagdollHandler;
extern const void * RTTI_MotionDrivenHandler;
extern const void * RTTI_AnimationDrivenHandler;
extern const void * RTTI_AllowRotationHandler;
extern const void * RTTI_RemoveRagdollHandler;
extern const void * RTTI_RagdollStartHandler;
extern const void * RTTI_GetUpStartHandler;
extern const void * RTTI_GetUpEndHandler;
extern const void * RTTI_MountDismountEndHandler;
extern const void * RTTI_ExitCartBeginHandler;
extern const void * RTTI_ExitCartEndHandler;
extern const void * RTTI_NPCAttachHandler;
extern const void * RTTI_NPCDetachHandler;
extern const void * RTTI_EnableCharacterBumperHandler;
extern const void * RTTI_DisableCharacterBumperHandler;
extern const void * RTTI_AnimationObjectLoadHandler;
extern const void * RTTI_AnimationObjectDrawHandler;
extern const void * RTTI_EnableCharacterPitchHandler;
extern const void * RTTI_DisableCharacterPitchHandler;
extern const void * RTTI_JumpAnimEventHandler;
extern const void * RTTI_IdleDialogueEnterHandler;
extern const void * RTTI_IdleDialogueExitHandler;
extern const void * RTTI_AnimatedCameraStartHandler;
extern const void * RTTI_AnimatedCameraDeltaStartHandler;
extern const void * RTTI_AnimatedCameraEndHandler;
extern const void * RTTI_PitchOverrideStartHandler;
extern const void * RTTI_PitchOverrideEndHandler;
extern const void * RTTI_MTStateHandler;
extern const void * RTTI_ZeroPitchHandler;
extern const void * RTTI_VampireFeedEndHandler;
extern const void * RTTI_BGShkMatFadeController;
extern const void * RTTI_BSDirectAtModifierInterface;
extern const void * RTTI_BSPassByTargetTriggerModifierInterface;
extern const void * RTTI_BSRagdollContactListenerModifierInterface;
extern const void * RTTI_ArrowProjectile;
extern const void * RTTI_BarrierPhantomCallbackShape;
extern const void * RTTI_BarrierProjectile;
extern const void * RTTI_bhkSPCollisionObject;
extern const void * RTTI_BeamProjectile;
extern const void * RTTI_ConeProjectile;
extern const void * RTTI_Explosion;
extern const void * RTTI_hkpFixedBufferCdPointCollector;
extern const void * RTTI_FlameProjectile;
extern const void * RTTI_GrenadeProjectile;
extern const void * RTTI_Hazard;
extern const void * RTTI_MissileProjectile;
extern const void * RTTI_hkHingeConstraintCinfo;
extern const void * RTTI_bhkHingeConstraint;
extern const void * RTTI_Projectile;
extern const void * RTTI_ProjectilePickCache;
extern const void * RTTI_HealthDamageFunctor;
extern const void * RTTI_VATS__ICommandListVisitor;
extern const void * RTTI_CombatAimController;
extern const void * RTTI_CombatTrackTargetAimController;
extern const void * RTTI_CombatMeleeAimController;
extern const void * RTTI_CombatProjectileAimController;
extern const void * RTTI_CombatDisableAimController;
extern const void * RTTI_CombatObject;
extern const void * RTTI_CombatAimControllerBase;
extern const void * RTTI_CombatArea;
extern const void * RTTI_CombatAreaRadius;
extern const void * RTTI_CombatAreaReference;
extern const void * RTTI_CombatAreaStandard;
extern const void * RTTI_CombatAreaHoldPosition;
extern const void * RTTI_CombatBlackboardKeyBase;
extern const void * RTTI_CombatCoverSearchResult;
extern const void * RTTI_CombatCoverLocation;
extern const void * RTTI_CombatCoverSearchDebugData;
extern const void * RTTI_CombatCoverSearch;
extern const void * RTTI_CombatGroupDetectionListener;
extern const void * RTTI_GatherSpellsFunctor;
extern const void * RTTI_CombatInventoryItem;
extern const void * RTTI_CombatInventoryItemComposite;
extern const void * RTTI_CombatInventoryItemMelee;
extern const void * RTTI_CombatInventoryItemRanged;
extern const void * RTTI_CombatInventoryItemShield;
extern const void * RTTI_CombatInventoryItemOneHandedBlock;
extern const void * RTTI_CombatInventoryItemTorch;
extern const void * RTTI_CombatInventoryItemMagic;
extern const void * RTTI_CombatInventoryItemShout;
extern const void * RTTI_CombatInventoryItemStaff;
extern const void * RTTI_CombatInventoryItemPotion;
extern const void * RTTI_CombatInventoryItemScroll;
extern const void * RTTI_CombatMagicCasterOffensive;
extern const void * RTTI_CombatMagicCasterWard;
extern const void * RTTI_CombatMagicCasterRestore;
extern const void * RTTI_CombatMagicCasterSummon;
extern const void * RTTI_CombatMagicCasterStagger;
extern const void * RTTI_CombatMagicCasterDisarm;
extern const void * RTTI_CombatMagicCasterCloak;
extern const void * RTTI_CombatMagicCasterLight;
extern const void * RTTI_CombatMagicCasterInvisibility;
extern const void * RTTI_CombatMagicCasterBoundItem;
extern const void * RTTI_CombatMagicCasterArmor;
extern const void * RTTI_CombatMagicCasterTargetEffect;
extern const void * RTTI_CombatMagicCasterParalyze;
extern const void * RTTI_CombatMagicCasterScript;
extern const void * RTTI_CombatMagicCaster;
extern const void * RTTI_CombatMagicItemData;
extern const void * RTTI_CombatMagicItemSkillChecker;
extern const void * RTTI_CombatMagicCasterReanimate;
extern const void * RTTI_CombatPathingRequest;
extern const void * RTTI_CombatTargetLocationSearchResult;
extern const void * RTTI_CombatTargetLocation;
extern const void * RTTI_CombatTargetLocationSearch;
extern const void * RTTI_CombatPath;
extern const void * RTTI_CombatTargetSelector;
extern const void * RTTI_CombatTargetSelectorStandard;
extern const void * RTTI_CombatTargetSelectorFixed;
extern const void * RTTI_CombatThreat;
extern const void * RTTI_hkpClosestCdPointCollector;
extern const void * RTTI_CombatBehaviorResource;
extern const void * RTTI_CombatBehaviorTreeRootNode;
extern const void * RTTI_CombatBehaviorTreeLinkNode;
extern const void * RTTI_CombatBehaviorTree;
extern const void * RTTI_CombatBehaviorTreeCombat;
extern const void * RTTI_CombatBehaviorTreeNode;
extern const void * RTTI_CombatBehaviorTreeAcquireWeapon;
extern const void * RTTI_CombatBehaviorTreeAction;
extern const void * RTTI_CombatBehaviorTreeActionEquipmentSelector;
extern const void * RTTI_CombatBehaviorTreeWrapperNode;
extern const void * RTTI_CombatBehaviorTreeDodgeThreat;
extern const void * RTTI_CombatBehaviorTreeBlock;
extern const void * RTTI_CombatBehaviorTreeCloseMovement;
extern const void * RTTI_CombatPathSpeedController;
extern const void * RTTI_CombatApproachTargetSpeedController;
extern const void * RTTI_CombatBehaviorTreeFindAttackLocation;
extern const void * RTTI_CombatBehaviorTreeFlankingMovement;
extern const void * RTTI_CombatFlankingSearchData;
extern const void * RTTI_CombatBehaviorTreeFlee;
extern const void * RTTI_CombatBehaviorTreeHide;
extern const void * RTTI_CombatBehaviorTreeFlight;
extern const void * RTTI_DiveBombSpeedController;
extern const void * RTTI_CombatBehaviorTreeLowCombat;
extern const void * RTTI_CombatBehaviorTreeMagic;
extern const void * RTTI_CombatBehaviorTreeMelee;
extern const void * RTTI_CombatDisableActionController;
extern const void * RTTI_CombatBehaviorTreeCheckUnreachableTarget;
extern const void * RTTI_CombatBehaviorTreeReturnToCombatArea;
extern const void * RTTI_CombatBehaviorTreeExitWater;
extern const void * RTTI_CombatBehaviorTreeMovement;
extern const void * RTTI_CombatBehaviorTreeRangedMovement;
extern const void * RTTI_CombatBehaviorTreeSearch;
extern const void * RTTI_CombatSearchLockData;
extern const void * RTTI_CombatBehaviorTreeShout;
extern const void * RTTI_CombatBehaviorTreeUseCover;
extern const void * RTTI_CombatBehaviorTreeUsePotion;
extern const void * RTTI_IPathBuilder;
extern const void * RTTI_CombatNavmeshSearch;
extern const void * RTTI_CombatPathBuilder;
extern const void * RTTI_CombatPathBuilderStandard;
extern const void * RTTI_CombatPathBuilderOpen;
extern const void * RTTI_CombatPathingRequestStandard;
extern const void * RTTI_CombatPathingRequestAdapter;
extern const void * RTTI_CombatPathingRequestMultiGoal;
extern const void * RTTI_CombatPathingDebugData;
extern const void * RTTI_HorseCameraState;
extern const void * RTTI_FirstPersonState;
extern const void * RTTI_PlayerCamera;
extern const void * RTTI_AutoVanityState;
extern const void * RTTI_FreeCameraState;
extern const void * RTTI_IronSightsState;
extern const void * RTTI_FurnitureCameraState;
extern const void * RTTI_PlayerCameraTransitionState;
extern const void * RTTI_BleedoutCameraState;
extern const void * RTTI_TweenMenuCameraState;
extern const void * RTTI_VATSCameraState;
extern const void * RTTI_FxResponseArgsBase;
extern const void * RTTI_FxResponseArgsList;
extern const void * RTTI_StandardItemData;
extern const void * RTTI_BarterMenu;
extern const void * RTTI_BookMenu;
extern const void * RTTI_IStringForwarder;
extern const void * RTTI_Console;
extern const void * RTTI_ConsoleNativeUIMenu;
extern const void * RTTI_ContainerMenu;
extern const void * RTTI_FxDelegateHandler;
extern const void * RTTI_CraftingSubMenus__CraftingSubMenu;
extern const void * RTTI_CraftingMenu;
extern const void * RTTI_CraftingSubMenus__ConstructibleObjectMenu;
extern const void * RTTI_CraftingSubMenus__ConstructibleObjectMenu__CreationConfirmCallback;
extern const void * RTTI_CraftingSubMenus__SmithingMenu;
extern const void * RTTI_CraftingSubMenus__SmithingMenu__SmithingConfirmCallback;
extern const void * RTTI_CraftingSubMenus__EnchantConstructMenu;
extern const void * RTTI_CraftingSubMenus__EnchantConstructMenu__EnchantMenuCallback;
extern const void * RTTI_CraftingSubMenus__EnchantConstructMenu__EnchantMenuExitCallback;
extern const void * RTTI_CraftingSubMenus__EnchantConstructMenu__EnchantMenuCraftCallback;
extern const void * RTTI_CraftingSubMenus__EnchantConstructMenu__EnchantMenuDisenchantCallback;
extern const void * RTTI_CraftingSubMenus__EnchantConstructMenu__CategoryListEntry;
extern const void * RTTI_CraftingSubMenus__EnchantConstructMenu__ItemChangeEntry;
extern const void * RTTI_CraftingSubMenus__EnchantConstructMenu__EnchantmentEntry;
extern const void * RTTI_CraftingSubMenus__EnchantConstructMenu__CreateEffectFunctor;
extern const void * RTTI_CraftingSubMenus__AlchemyMenu;
extern const void * RTTI_CraftingSubMenus__AlchemyMenu__CraftItemCallback;
extern const void * RTTI_CraftingSubMenus__AlchemyMenu__QuitMenuCallback;
extern const void * RTTI_CraftingSubMenus__AlchemyMenu__ModEffectivenessFunctor;
extern const void * RTTI_CreditsMenu;
extern const void * RTTI_CursorMenu;
extern const void * RTTI_DialogueMenu;
extern const void * RTTI_FaderMenu;
extern const void * RTTI_FavoritesMenu;
extern const void * RTTI_GiftMenu;
extern const void * RTTI_HUDObject;
extern const void * RTTI_HUDMeter;
extern const void * RTTI_HUDMenu;
extern const void * RTTI_HUDNotifications;
extern const void * RTTI_ActorValueMeter;
extern const void * RTTI_ShoutMeter;
extern const void * RTTI_HUDChargeMeter;
extern const void * RTTI_Compass;
extern const void * RTTI_EnemyHealth;
extern const void * RTTI_FloatingQuestMarker;
extern const void * RTTI_StealthMeter;
extern const void * RTTI_HelpMessageManager;
extern const void * RTTI_NewInventoryMenuItemLoadTask;
extern const void * RTTI_Inventory3DManager;
extern const void * RTTI_InventoryMenu;
extern const void * RTTI_LevelUpMenu;
extern const void * RTTI_LoadingMenu;
extern const void * RTTI_LockpickingMenu;
extern const void * RTTI_MagicItemData;
extern const void * RTTI_MagicMenu;
extern const void * RTTI_MainMenu;
extern const void * RTTI_DLCPurchased__OpenVisitCreationClubCallback;
extern const void * RTTI_DLCPurchased__PurchasedDLCDialogCallback;
extern const void * RTTI_NeedToUpdateCreationClubCallback;
extern const void * RTTI_MenuControls;
extern const void * RTTI_ClickHandler;
extern const void * RTTI_DirectionHandler;
extern const void * RTTI_ConsoleOpenHandler;
extern const void * RTTI_QuickSaveLoadHandler;
extern const void * RTTI_MenuOpenHandler;
extern const void * RTTI_FavoritesHandler;
extern const void * RTTI_ScreenshotHandler;
extern const void * RTTI_MessageBoxMenu;
extern const void * RTTI_MistMenu;
extern const void * RTTI_ThumbstickEvent;
extern const void * RTTI_RaceSexCamera;
extern const void * RTTI_RaceSexMenu;
extern const void * RTTI_SafeZoneMenu;
extern const void * RTTI_SleepWaitMenu;
extern const void * RTTI_StatsNode;
extern const void * RTTI_StatsMenu;
extern const void * RTTI_LineNode;
extern const void * RTTI_StreamingInstallMenu;
extern const void * RTTI_TitleSequenceMenu;
extern const void * RTTI_TrainingMenu;
extern const void * RTTI_TutorialMenu;
extern const void * RTTI_TweenMenu;
extern const void * RTTI_UIBlurManager;
extern const void * RTTI_HUDData;
extern const void * RTTI_ConsoleData;
extern const void * RTTI_FaderData;
extern const void * RTTI_InventoryUpdateData;
extern const void * RTTI_RefHandleUIData;
extern const void * RTTI_TESFormUIData;
extern const void * RTTI_LoadingMenuData;
extern const void * RTTI_KinectStateChangeData;
extern const void * RTTI_KinectUserEventData;
extern const void * RTTI_UISaveLoadManager;
extern const void * RTTI_bgs__saveload__BuildSaveListRequest;
extern const void * RTTI_LocalMapMenu__InputHandler;
extern const void * RTTI_TransitionState;
extern const void * RTTI_MapCameraStates__Exit;
extern const void * RTTI_MapCameraStates__Transition;
extern const void * RTTI_IMapCameraCallbacks;
extern const void * RTTI_MapCamera;
extern const void * RTTI_MapCameraStates__World;
extern const void * RTTI_MapMenu;
extern const void * RTTI_MapInputHandler;
extern const void * RTTI_MapLookHandler;
extern const void * RTTI_MapMoveHandler;
extern const void * RTTI_MapZoomHandler;
extern const void * RTTI_JournalTab;
extern const void * RTTI_Journal_QuestsTab;
extern const void * RTTI_ModManagerData;
extern const void * RTTI_Journal_SystemTab;
extern const void * RTTI_JournalInputMapping__RemapHandler;
extern const void * RTTI_Journal_StatsTab;
extern const void * RTTI_JournalMenu;
extern const void * RTTI_SkyrimScript__Internal__CallbackList;
extern const void * RTTI_SkyrimScript__Internal__AnimationCallbacks;
extern const void * RTTI_SkyrimScript__DelayFunctor;
extern const void * RTTI_SkyrimScript__DelayFunctorFactory;
extern const void * RTTI_SkyrimScript__Logger;
extern const void * RTTI_SkyrimScript__PathingCallbackMgr;
extern const void * RTTI_SkyrimScript__Internal__IProfileCallQuery;
extern const void * RTTI_SkyrimScript__Profiler;
extern const void * RTTI_SkyrimScript__QuestCallbackMgr;
extern const void * RTTI_SkyrimScript__SavePatcher;
extern const void * RTTI_SkyrimScript__SoundCallbackMgr;
extern const void * RTTI_BSScript__IStore;
extern const void * RTTI_SkyrimScript__Store;
extern const void * RTTI_BSResource__ArchiveFoundStreamCB;
extern const void * RTTI_BSCounterStorage;
extern const void * RTTI_BSScript__IObjectHandlePolicy;
extern const void * RTTI_BSScript__IStackCallbackSaveInterface;
extern const void * RTTI_BSScript__IStackCallbackFunctor;
extern const void * RTTI_BSScript__IProfilePolicy;
extern const void * RTTI_BSScript__ILoader;
extern const void * RTTI_BSScript__ObjectBindPolicy;
extern const void * RTTI_BSScript__IFreezeQuery;
extern const void * RTTI_BSScript__ISavePatcherInterface;
extern const void * RTTI_SkyrimScript__HandlePolicy;
extern const void * RTTI_SkyrimScript__SaveFileHandleReaderWriter;
extern const void * RTTI_SkyrimScript__ObjectBindPolicy;
extern const void * RTTI_SkyrimVM;
extern const void * RTTI_SkyrimVM__ISendEventFilter;
extern const void * RTTI_SkyrimVM__EventRelayFunctor;
extern const void * RTTI_SkyrimVM__EffectEventRelayFunctor;
extern const void * RTTI_SkyrimVM__SleepStartEventFunctor;
extern const void * RTTI_SkyrimVM__SleepStopEventFunctor;
extern const void * RTTI_SkyrimVM__InventoryEventFilter;
extern const void * RTTI_IGiftMenuScriptCallback;
extern const void * RTTI_SkyrimSpeechRecognition;
extern const void * RTTI_hkaFootPlacementIkSolver;
extern const void * RTTI_hkReferencedObjectLock;
extern const void * RTTI_hkMemoryAllocator;
extern const void * RTTI_hkLifoAllocator;
extern const void * RTTI_hkContainerTempAllocator__Allocator;
extern const void * RTTI_hkContainerHeapAllocator__Allocator;
extern const void * RTTI_hkContainerDebugAllocator__Allocator;
extern const void * RTTI_hkErrStream;
extern const void * RTTI_hkLocalFrameGroup;
extern const void * RTTI_hkLocalFrame;
extern const void * RTTI_hkSimpleLocalFrame;
extern const void * RTTI_hkBufferedStreamReader;
extern const void * RTTI_hkBufferedStreamWriter;
extern const void * RTTI_hkSeekableStreamReader;
extern const void * RTTI_hkStdioStreamReader;
extern const void * RTTI_hkStdioStreamWriter;
extern const void * RTTI_hkOstream;
extern const void * RTTI_hkMemoryTrackStreamWriter;
extern const void * RTTI_hkArrayStreamWriter;
extern const void * RTTI_hkStatisticsCollector;
extern const void * RTTI_hkCrc32StreamWriter;
extern const void * RTTI_hkStackTracer;
extern const void * RTTI_hkDummySingleton;
extern const void * RTTI_hkTrackerSerializableScanSnapshot;
extern const void * RTTI_hkTrackerTypeTreeTextCache;
extern const void * RTTI_hkMemoryTrackStreamReader;
extern const void * RTTI_hkOArchive;
extern const void * RTTI_hkDefaultError;
extern const void * RTTI_hkSocket;
extern const void * RTTI_hkSocket__ReaderAdapter;
extern const void * RTTI_hkSocket__WriterAdapter;
extern const void * RTTI_hkTrackerScanSnapshot;
extern const void * RTTI_hkBsdSocket;
extern const void * RTTI_hkTrackerTypeTreeCache;
extern const void * RTTI_hkMemoryTracker;
extern const void * RTTI_hkDefaultMemoryTracker;
extern const void * RTTI_hkMemorySystem;
extern const void * RTTI_hkDummyMemoryTrackerImpl;
extern const void * RTTI_hkTrackerArrayLayoutHandler;
extern const void * RTTI_hkTrackerStringPtrLayoutHandler;
extern const void * RTTI_hkTrackerCachedHashMapLayoutHandler;
extern const void * RTTI_hkTrackerStringMapLayoutHandler;
extern const void * RTTI_hkTrackerTypeLayout;
extern const void * RTTI_hkTrackerLayoutCalculator;
extern const void * RTTI_hkTrackerLayoutHandler;
extern const void * RTTI_hkTrackerRefPtrLayoutHandler;
extern const void * RTTI_hkbRagdollDriver;
extern const void * RTTI_hkbNode;
extern const void * RTTI_hkbBindable;
extern const void * RTTI_hkbBehaviorGraph;
extern const void * RTTI_hkbNodeInternalStateInfo;
extern const void * RTTI_hkbGenerator;
extern const void * RTTI_hkbVariableValueSet;
extern const void * RTTI_hkbBehaviorGraph__GlobalTransitionData;
extern const void * RTTI_hkbFootIkDriver;
extern const void * RTTI_hkbAnimationBindingSet;
extern const void * RTTI_hkbCharacter;
extern const void * RTTI_hkbWorld;
extern const void * RTTI_hkbSceneModifier;
extern const void * RTTI_hkbFootIkSceneModifier;
extern const void * RTTI_hkbHandIkSceneModifier;
extern const void * RTTI_hkbHandIkFixupSceneModifier;
extern const void * RTTI_hkbBindableCollector;
extern const void * RTTI_hkbBindable__CacheBindablesCollector;
extern const void * RTTI_hkbNode__BoundVariablesCollector;
extern const void * RTTI_hkbAttachmentSetup;
extern const void * RTTI_hkbEventPayload;
extern const void * RTTI_hkbRealEventPayload;
extern const void * RTTI_hkbIntEventPayload;
extern const void * RTTI_hkbStringEventPayload;
extern const void * RTTI_hkbNamedEventPayload;
extern const void * RTTI_hkbNamedRealEventPayload;
extern const void * RTTI_hkbNamedIntEventPayload;
extern const void * RTTI_hkbNamedStringEventPayload;
extern const void * RTTI_hkbEventPayloadList;
extern const void * RTTI_hkbVariableBindingSet;
extern const void * RTTI_hkbHandle;
extern const void * RTTI_hkbHandIkDriverInfo;
extern const void * RTTI_hkbTransitionEffect;
extern const void * RTTI_hkbProjectStringData;
extern const void * RTTI_hkbBehaviorGraphInternalState;
extern const void * RTTI_hkbBehaviorGraphData;
extern const void * RTTI_hkbStateListener;
extern const void * RTTI_hkbSequence;
extern const void * RTTI_hkbBehaviorGraphStringData;
extern const void * RTTI_hkbBoneIndexArray;
extern const void * RTTI_hkbBoneWeightArray;
extern const void * RTTI_hkbCharacterStringData;
extern const void * RTTI_hkbFootIkDriverInfo;
extern const void * RTTI_hkbMirroredSkeletonInfo;
extern const void * RTTI_hkbCondition;
extern const void * RTTI_hkbCompiledExpressionSet;
extern const void * RTTI_hkbExpressionCondition;
extern const void * RTTI_hkbStringCondition;
extern const void * RTTI_hkbBehaviorReferenceGenerator;
extern const void * RTTI_hkbBlenderGeneratorChild;
extern const void * RTTI_hkbBlenderGenerator;
extern const void * RTTI_hkbBlenderGeneratorInternalState;
extern const void * RTTI_hkbClipTriggerArray;
extern const void * RTTI_hkbClipGeneratorInternalState;
extern const void * RTTI_hkbRegisteredGenerator;
extern const void * RTTI_hkbManualSelectorGenerator;
extern const void * RTTI_hkbManualSelectorGeneratorInternalState;
extern const void * RTTI_hkbModifier;
extern const void * RTTI_hkbModifierGenerator;
extern const void * RTTI_hkbPoseMatchingGenerator;
extern const void * RTTI_hkbPoseMatchingGeneratorInternalState;
extern const void * RTTI_hkbReferencePoseGenerator;
extern const void * RTTI_hkbAttachmentModifier;
extern const void * RTTI_hkbAttributeModifier;
extern const void * RTTI_hkbCharacterControllerModifier;
extern const void * RTTI_hkbCharacterControllerModifierInternalState;
extern const void * RTTI_hkbCombineTransformsModifier;
extern const void * RTTI_hkbCombineTransformsModifierInternalState;
extern const void * RTTI_hkbComputeDirectionModifier;
extern const void * RTTI_hkbComputeDirectionModifierInternalState;
extern const void * RTTI_hkbComputeRotationFromAxisAngleModifier;
extern const void * RTTI_hkbComputeRotationFromAxisAngleModifierInternalState;
extern const void * RTTI_hkbComputeRotationToTargetModifier;
extern const void * RTTI_hkbComputeRotationToTargetModifierInternalState;
extern const void * RTTI_hkbDampingModifier;
extern const void * RTTI_hkbDampingModifierInternalState;
extern const void * RTTI_hkbModifierWrapper;
extern const void * RTTI_hkbDelayedModifier;
extern const void * RTTI_hkbDelayedModifierInternalState;
extern const void * RTTI_hkbDetectCloseToGroundModifier;
extern const void * RTTI_hkbDetectCloseToGroundModifierInternalState;
extern const void * RTTI_hkbExpressionDataArray;
extern const void * RTTI_hkbEvaluateExpressionModifier;
extern const void * RTTI_hkbEvaluateExpressionModifierInternalState;
extern const void * RTTI_hkbEvaluateHandleModifier;
extern const void * RTTI_hkbEventDrivenModifier;
extern const void * RTTI_hkbEventDrivenModifierInternalState;
extern const void * RTTI_hkbEventRangeDataArray;
extern const void * RTTI_hkbEventsFromRangeModifier;
extern const void * RTTI_hkbEventsFromRangeModifierInternalState;
extern const void * RTTI_hkbFootIkControlsModifier;
extern const void * RTTI_hkbFootIkModifier;
extern const void * RTTI_hkbGetHandleOnBoneModifier;
extern const void * RTTI_hkbGetUpModifier;
extern const void * RTTI_hkbGetUpModifierInternalState;
extern const void * RTTI_hkbGetWorldFromModelModifier;
extern const void * RTTI_hkbGetWorldFromModelModifierInternalState;
extern const void * RTTI_hkbHandIkControlsModifier;
extern const void * RTTI_hkbHandIkModifier;
extern const void * RTTI_hkbModifierList;
extern const void * RTTI_hkbLookAtModifier;
extern const void * RTTI_hkbLookAtModifierInternalState;
extern const void * RTTI_hkbMirrorModifier;
extern const void * RTTI_hkbMoveCharacterModifier;
extern const void * RTTI_hkbMoveCharacterModifierInternalState;
extern const void * RTTI_hkbProxyModifier;
extern const void * RTTI_hkbExtractRagdollPoseModifier;
extern const void * RTTI_hkbKeyframeBonesModifier;
extern const void * RTTI_hkbPoweredRagdollControlsModifier;
extern const void * RTTI_hkbRigidBodyRagdollControlsModifier;
extern const void * RTTI_hkbRotateCharacterModifier;
extern const void * RTTI_hkbRotateCharacterModifierInternalState;
extern const void * RTTI_hkbSenseHandleModifier;
extern const void * RTTI_hkbSetWorldFromModelModifier;
extern const void * RTTI_hkbTimerModifier;
extern const void * RTTI_hkbTimerModifierInternalState;
extern const void * RTTI_hkbTransformVectorModifier;
extern const void * RTTI_hkbTransformVectorModifierInternalState;
extern const void * RTTI_hkbTwistModifier;
extern const void * RTTI_hkbSequenceStringData;
extern const void * RTTI_hkbEventSequencedData;
extern const void * RTTI_hkbRealVariableSequencedData;
extern const void * RTTI_hkbBoolVariableSequencedData;
extern const void * RTTI_hkbIntVariableSequencedData;
extern const void * RTTI_hkbSequenceInternalState;
extern const void * RTTI_hkbSequencedData;
extern const void * RTTI_hkbStateMachine__TransitionInfoArray;
extern const void * RTTI_hkbStateMachine__EventPropertyArray;
extern const void * RTTI_hkbStateMachine__StateInfo;
extern const void * RTTI_hkbStateMachineInternalState;
extern const void * RTTI_hkbBlendingTransitionEffect;
extern const void * RTTI_hkbBlendingTransitionEffectInternalState;
extern const void * RTTI_hkbGeneratorTransitionEffect;
extern const void * RTTI_hkbGeneratorTransitionEffectInternalState;
extern const void * RTTI_hkbClipGenerator;
extern const void * RTTI_hkbStateMachine;
extern const void * RTTI_hkbAnimationBindingWithTriggers;
extern const void * RTTI_hkbHandIkDriver;
extern const void * RTTI_hkbAttachmentSceneModifier;
extern const void * RTTI_hkbAttachmentFixupSceneModifier;
extern const void * RTTI_hkbRagdollSceneModifier;
extern const void * RTTI_hkbCharacterControllerSceneModifier;
extern const void * RTTI_hkbCharacterSetup;
extern const void * RTTI_hkbProjectData;
extern const void * RTTI_hkbCharacterData;
extern const void * RTTI_hkpCharacterControllerCinfo;
extern const void * RTTI_hkpCharacterProxyCinfo;
extern const void * RTTI_hkLocalFrameCollector;
extern const void * RTTI_hkbClosestLocalFrameCollector;
extern const void * RTTI_hkbDefaultRaycastInterface;
extern const void * RTTI_hkbSymbolIdMap;
extern const void * RTTI_hkVtableClassRegistry;
extern const void * RTTI_hkClassNameRegistry;
extern const void * RTTI_hkTypeInfoRegistry;
extern const void * RTTI_hkBuiltinTypeRegistry;
extern const void * RTTI_hkDynamicClassNameRegistry;
extern const void * RTTI_hkDefaultClassNameRegistry;
extern const void * RTTI_hkDefaultBuiltinTypeRegistry;
extern const void * RTTI_hkObjectCopier;
extern const void * RTTI_hkStaticClassNameRegistry;
extern const void * RTTI_hkResourceContainer;
extern const void * RTTI_hkResourceMap;
extern const void * RTTI_hkResourceBase;
extern const void * RTTI_hkResourceHandle;
extern const void * RTTI_hkMemoryResourceHandle;
extern const void * RTTI_hkMemoryResourceContainer;
extern const void * RTTI_hkContainerResourceMap;
extern const void * RTTI_hkpShapeContainer;
extern const void * RTTI_hkpSingleShapeContainer;
extern const void * RTTI_hkpBvShape;
extern const void * RTTI_hkpConvexShape;
extern const void * RTTI_hkpSphereRepShape;
extern const void * RTTI_hkpBoxShape;
extern const void * RTTI_hkpConvexTransformShapeBase;
extern const void * RTTI_hkpHeightFieldShape;
extern const void * RTTI_hkpPlaneShape;
extern const void * RTTI_hkpSphereShape;
extern const void * RTTI_hkpCapsuleShape;
extern const void * RTTI_hkpCollidableCollidableFilter;
extern const void * RTTI_hkpRayCollidableFilter;
extern const void * RTTI_hkpShapeCollectionFilter;
extern const void * RTTI_hkpRayShapeCollectionFilter;
extern const void * RTTI_hkpGroupFilter;
extern const void * RTTI_hkpCollisionFilter;
extern const void * RTTI_hkpConvexListFilter;
extern const void * RTTI_hkpTriangleShape;
extern const void * RTTI_hkpDefaultConvexListFilter;
extern const void * RTTI_hkpBvTreeShape;
extern const void * RTTI_hkpCollisionFilterList;
extern const void * RTTI_hkpNullCollisionFilter;
extern const void * RTTI_hkpMoppModifier;
extern const void * RTTI_hkpRemoveTerminalsMoppModifier;
extern const void * RTTI_hkMoppBvTreeShapeBase;
extern const void * RTTI_hkpMoppBvTreeShape;
extern const void * RTTI_hkpConvexTransformShape;
extern const void * RTTI_hkpConvexTranslateShape;
extern const void * RTTI_hkpConvexVerticesConnectivity;
extern const void * RTTI_hkpConvexListShape;
extern const void * RTTI_hkpMultiSphereShape;
extern const void * RTTI_hkpMultiRayShape;
extern const void * RTTI_hkpTransformShape;
extern const void * RTTI_hkpShapeInfo;
extern const void * RTTI_hkpSampledHeightFieldShape;
extern const void * RTTI_hkpCompressedSampledHeightFieldShape;
extern const void * RTTI_hkpStorageSampledHeightFieldShape;
extern const void * RTTI_hkpShapeCollection;
extern const void * RTTI_hkpTriSampledHeightFieldCollection;
extern const void * RTTI_hkpTriSampledHeightFieldBvTreeShape;
extern const void * RTTI_hkpListShape;
extern const void * RTTI_hkpRemoveTerminalsMoppModifier2;
extern const void * RTTI_hkpCylinderShape;
extern const void * RTTI_hkpWorldObject;
extern const void * RTTI_hkpMotion;
extern const void * RTTI_hkpMaxSizeMotion;
extern const void * RTTI_hkpKeyframedRigidMotion;
extern const void * RTTI_hkpEntity;
extern const void * RTTI_hkpFixedRigidMotion;
extern const void * RTTI_hkpSphereMotion;
extern const void * RTTI_hkpBoxMotion;
extern const void * RTTI_hkpThinBoxMotion;
extern const void * RTTI_hkpCharacterMotion;
extern const void * RTTI_hkpRigidBody;
extern const void * RTTI_hkpPhantom;
extern const void * RTTI_hkpAabbPhantom;
extern const void * RTTI_hkpConstraintData;
extern const void * RTTI_hkpPrismaticConstraintData;
extern const void * RTTI_hkpAction;
extern const void * RTTI_hkpUnaryAction;
extern const void * RTTI_hkpConstraintInstance;
extern const void * RTTI_hkpConstraintMotor;
extern const void * RTTI_hkpConstraintListener;
extern const void * RTTI_hkWorldMemoryAvailableWatchDog;
extern const void * RTTI_hkpPhysicsSystem;
extern const void * RTTI_hkpSimulation;
extern const void * RTTI_hkpPairCollisionFilter;
extern const void * RTTI_hkpConstraintCollisionFilter;
extern const void * RTTI_hkpBallAndSocketConstraintData;
extern const void * RTTI_hkpCogWheelConstraintData;
extern const void * RTTI_hkpHingeConstraintData;
extern const void * RTTI_hkpLimitedHingeConstraintData;
extern const void * RTTI_hkpParametricCurve;
extern const void * RTTI_hkpLinearParametricCurve;
extern const void * RTTI_hkpPointToPathConstraintData;
extern const void * RTTI_hkpPointToPlaneConstraintData;
extern const void * RTTI_hkpRackAndPinionConstraintData;
extern const void * RTTI_hkpRagdollConstraintData;
extern const void * RTTI_hkpStiffSpringConstraintData;
extern const void * RTTI_hkpWheelConstraintData;
extern const void * RTTI_hkpRotationalConstraintData;
extern const void * RTTI_hkpHingeLimitsData;
extern const void * RTTI_hkpRagdollLimitsData;
extern const void * RTTI_hkpConstraintChainInstanceAction;
extern const void * RTTI_hkpConstraintChainInstance;
extern const void * RTTI_hkpLimitedForceConstraintMotor;
extern const void * RTTI_hkpCallbackConstraintMotor;
extern const void * RTTI_hkpPositionConstraintMotor;
extern const void * RTTI_hkpSpringDamperConstraintMotor;
extern const void * RTTI_hkpVelocityConstraintMotor;
extern const void * RTTI_hkpPulleyConstraintData;
extern const void * RTTI_hkpShapePhantom;
extern const void * RTTI_hkpCachingShapePhantom;
extern const void * RTTI_hkpSimpleShapePhantom;
extern const void * RTTI_hkpDefaultWorldMemoryWatchDog;
extern const void * RTTI_hkpWorld;
extern const void * RTTI_hkpBroadPhaseCastCollector;
extern const void * RTTI_hkpContactMgr;
extern const void * RTTI_hkpContactMgrFactory;
extern const void * RTTI_hkpNullContactMgr;
extern const void * RTTI_hkpNullContactMgrFactory;
extern const void * RTTI_hkpBroadPhaseListener;
extern const void * RTTI_hkpSimpleWorldRayCaster;
extern const void * RTTI_hkpWorldRayCaster;
extern const void * RTTI_hkpWorldLinearCaster;
extern const void * RTTI_hkpPhantomBroadPhaseListener;
extern const void * RTTI_hkpBroadPhaseBorderListener;
extern const void * RTTI_hkpCollisionCallbackUtil;
extern const void * RTTI_hkpConstraintOwner;
extern const void * RTTI_hkpBreakableConstraintData;
extern const void * RTTI_hkpConstraintChainData;
extern const void * RTTI_hkpBallSocketChainData;
extern const void * RTTI_hkpStiffSpringChainData;
extern const void * RTTI_hkpGenericConstraintData;
extern const void * RTTI_hkpMalleableConstraintData;
extern const void * RTTI_hkpEntityEntityBroadPhaseListener;
extern const void * RTTI_hkpSimulationIsland;
extern const void * RTTI_hkpBroadPhaseBorder;
extern const void * RTTI_hkpPhantomOverlapListener;
extern const void * RTTI_hkpWorldDeletionListener;
extern const void * RTTI_hkpSimpleConstraintContactMgr;
extern const void * RTTI_hkpSimpleContactConstraintData;
extern const void * RTTI_hkpDynamicsContactMgr;
extern const void * RTTI_hkpSimpleConstraintContactMgr__Factory;
extern const void * RTTI_hkpReportContactMgr;
extern const void * RTTI_hkpReportContactMgr__Factory;
extern const void * RTTI_hkpWorldMaintenanceMgr;
extern const void * RTTI_hkpDefaultWorldMaintenanceMgr;
extern const void * RTTI_hkpWorldExtension;
extern const void * RTTI_hkpEndOfStepCallbackUtil;
extern const void * RTTI_hkpConvexPieceStreamData;
extern const void * RTTI_hkpCharacterContext;
extern const void * RTTI_hkPackfileWriter__AddObjectListener;
extern const void * RTTI_hkpHavokSnapshot__ConvertListener;
extern const void * RTTI_hkpCharacterStateManager;
extern const void * RTTI_hkpCharacterRigidBody;
extern const void * RTTI_hkpMouseSpringAction;
extern const void * RTTI_hkpBinaryAction;
extern const void * RTTI_hkpAngularDashpotAction;
extern const void * RTTI_hkpDashpotAction;
extern const void * RTTI_hkpMotorAction;
extern const void * RTTI_hkpReorientAction;
extern const void * RTTI_hkpSpringAction;
extern const void * RTTI_hkpCharacterRigidBodyCinfo;
extern const void * RTTI_hkpPoweredChainMapper;
extern const void * RTTI_hkpConstrainedSystemFilter;
extern const void * RTTI_hkpDisableEntityCollisionFilter;
extern const void * RTTI_hkpGroupCollisionFilter;
extern const void * RTTI_hkpSerializedAgentNnEntry;
extern const void * RTTI_hkpPhysicsSystemWithContacts;
extern const void * RTTI_hkpSerializedDisplayMarker;
extern const void * RTTI_hkpSerializedDisplayMarkerList;
extern const void * RTTI_hkpSerializedDisplayRbTransforms;
extern const void * RTTI_hkpDisplayBindingData;
extern const void * RTTI_hkpDisplayBindingData__RigidBody;
extern const void * RTTI_hkpDisplayBindingData__PhysicsSystem;
extern const void * RTTI_hkpPhysicsData;
extern const void * RTTI_hkpCharacterProxy;
extern const void * RTTI_hkpTriggerVolume;
extern const void * RTTI_hkpFirstPersonGun;
extern const void * RTTI_hkpBallGun;
extern const void * RTTI_hkpGravityGun;
extern const void * RTTI_hkpMountedBallGun;
extern const void * RTTI_hkpProjectileGun;
extern const void * RTTI_hkpGunProjectile;
extern const void * RTTI_hkpSaveContactPointsUtil__EntitySelector;
extern const void * RTTI_BSLimbIKModifierCastInfo;
extern const void * RTTI_BSILimbIKModifierSingleton;
extern const void * RTTI_BGSGamebryoSequenceGenerator;
extern const void * RTTI_BSIStateManagerModifier__BSIStateManagerStateListener;
extern const void * RTTI_BSSynchronizedClipGenerator;
extern const void * RTTI_BSSynchronizedClipGenerator__hkbDefaultSynchronizedScene;
extern const void * RTTI_BSIDirectAtModifierSingleton;
extern const void * RTTI_BSIPassByTargetTriggerModifierSingleton;
extern const void * RTTI_BSIRagdollContactListenerModifierSingleton;
extern const void * RTTI_BSRagdollContactListenerModifier;
extern const void * RTTI_BSIStateManagerModifier;
extern const void * RTTI_BSBoneSwitchGenerator;
extern const void * RTTI_BSBoneSwitchGeneratorBoneData;
extern const void * RTTI_BSCyclicBlendTransitionGenerator;
extern const void * RTTI_BSOffsetAnimationGenerator;
extern const void * RTTI_BSiStateTaggingGenerator;
extern const void * RTTI_BSComputeAddBoneAnimModifier;
extern const void * RTTI_BSDecomposeVectorModifier;
extern const void * RTTI_BSDirectAtModifier;
extern const void * RTTI_BSDistTriggerModifier;
extern const void * RTTI_BSEventEveryNEventsModifier;
extern const void * RTTI_BSEventOnDeactivateModifier;
extern const void * RTTI_BSEventOnFalseToTrueModifier;
extern const void * RTTI_BSGetTimeStepModifier;
extern const void * RTTI_BSInterpValueModifier;
extern const void * RTTI_BSIsActiveModifier;
extern const void * RTTI_BSLimbIKModifier;
extern const void * RTTI_BSLookAtModifier;
extern const void * RTTI_BSModifyOnceModifier;
extern const void * RTTI_BSPassByTargetTriggerModifier;
extern const void * RTTI_BSSpeedSamplerModifier;
extern const void * RTTI_BSTimerModifier;
extern const void * RTTI_BSTweenerModifier;
extern const void * RTTI_hkaAnimationBinding;
extern const void * RTTI_BSSynchronizedClipGeneratorUtils__FindEventFunctor;
extern const void * RTTI_BSAnimationGraphManager;
extern const void * RTTI_hkLoader;
extern const void * RTTI_BShkbHkxDB__ProjectDBData;
extern const void * RTTI_BShkbHkxDB__DBData;
extern const void * RTTI_BShkbHkxDB__QueuedHandles;
extern const void * RTTI_BShkbHkxDB__StreamAdaptor;
extern const void * RTTI_BSAnimationGraphLoadScrapper;
extern const void * RTTI_bhkIWorldStepListener;
extern const void * RTTI_hkaSkeleton;
extern const void * RTTI_BSIRagdollDriver;
extern const void * RTTI_BShkbAnimationGraph;
extern const void * RTTI_BSISpeedSamplerDB;
extern const void * RTTI_BSSpeedSamplerDBManager;
extern const void * RTTI_BShkVisibilityController;
extern const void * RTTI_BShkbUtils__GraphInspectionFunctor;
extern const void * RTTI_hkbAssetLoader;
extern const void * RTTI_BShkbUtils__ProspectiveEventClipAddingFunctor;
extern const void * RTTI_IAnimationClipLoaderSingleton;
extern const void * RTTI_AnimationFileManagerSingleton;
extern const void * RTTI_hkaSkeletonMapper;
extern const void * RTTI_hkaRagdollInstance;
extern const void * RTTI_hkaDefaultAnimationControl;
extern const void * RTTI_hkaDefaultAnimationControlMapperData;
extern const void * RTTI_hkaAnimatedReferenceFrame;
extern const void * RTTI_hkaAnimation;
extern const void * RTTI_hkaInterleavedUncompressedAnimation;
extern const void * RTTI_hkaQuantizedAnimation;
extern const void * RTTI_hkaSplineCompressedAnimation;
extern const void * RTTI_hkaAnimationPreviewColorContainer;
extern const void * RTTI_hkaDefaultAnimatedReferenceFrame;
extern const void * RTTI_hkaFootstepAnalysisInfoContainer;
extern const void * RTTI_hkaBoneAttachment;
extern const void * RTTI_hkaAnimationContainer;
extern const void * RTTI_hkaMirroredSkeleton;
extern const void * RTTI_hkaAnimationControl;
extern const void * RTTI_hkpCollisionDispatcher;
extern const void * RTTI_hkpNullBroadPhaseListener;
extern const void * RTTI_hkpCollisionAgent;
extern const void * RTTI_hkpNullAgent;
extern const void * RTTI_hkp3AxisSweep;
extern const void * RTTI_hkpBroadPhase;
extern const void * RTTI_hkTraceStream;
extern const void * RTTI_hkpStorageMeshShape;
extern const void * RTTI_hkpStorageMeshShape__SubpartStorage;
extern const void * RTTI_hkpStorageExtendedMeshShape;
extern const void * RTTI_hkpStorageExtendedMeshShape__MeshSubpartStorage;
extern const void * RTTI_hkpStorageExtendedMeshShape__ShapeSubpartStorage;
extern const void * RTTI_hkTagfileWriter;
extern const void * RTTI_hkTagfileWriter__AddDataObjectListener;
extern const void * RTTI_hkTagfileReader;
extern const void * RTTI_hkBinaryTagfileWriter;
extern const void * RTTI_hkXmlTagfileReader;
extern const void * RTTI_hkXmlTagfileWriter;
extern const void * RTTI_hkpFastMeshShape;
extern const void * RTTI_hkpMapPointsToSubShapeContactMgr;
extern const void * RTTI_hkpPoweredChainData;
extern const void * RTTI_hkpConvexVerticesShape;
extern const void * RTTI_hkResource;
extern const void * RTTI_BShkbUtils__SaveDataRestoreFunctor;
extern const void * RTTI_hkpConstraintUtils__CollectConstraintsFilter;
extern const void * RTTI_hkpEaseConstraintsAction;
extern const void * RTTI_hkpEaseConstraintsAction__CollectSupportedConstraints;
extern const void * RTTI_hkpEasePenetrationAction;
extern const void * RTTI_BSiStateTaggingUtils__BSiStateTaggingStateListener;
extern const void * RTTI_hkxAnimatedFloat;
extern const void * RTTI_hkxAnimatedMatrix;
extern const void * RTTI_hkxAnimatedQuaternion;
extern const void * RTTI_hkxAnimatedVector;
extern const void * RTTI_hkxSparselyAnimatedBool;
extern const void * RTTI_hkxSparselyAnimatedInt;
extern const void * RTTI_hkxEnum;
extern const void * RTTI_hkxSparselyAnimatedEnum;
extern const void * RTTI_hkxSparselyAnimatedString;
extern const void * RTTI_hkxAttributeHolder;
extern const void * RTTI_hkxCamera;
extern const void * RTTI_hkxNode;
extern const void * RTTI_hkxLight;
extern const void * RTTI_hkxMaterial;
extern const void * RTTI_hkxMaterialEffect;
extern const void * RTTI_hkxMaterialShader;
extern const void * RTTI_hkxTextureFile;
extern const void * RTTI_hkxTextureInplace;
extern const void * RTTI_hkxEdgeSelectionChannel;
extern const void * RTTI_hkxTriangleSelectionChannel;
extern const void * RTTI_hkxVertexFloatDataChannel;
extern const void * RTTI_hkxVertexIntDataChannel;
extern const void * RTTI_hkxVertexSelectionChannel;
extern const void * RTTI_hkxVertexVectorDataChannel;
extern const void * RTTI_hkxIndexBuffer;
extern const void * RTTI_hkxMeshSection;
extern const void * RTTI_hkxMesh__UserChannelInfo;
extern const void * RTTI_hkxNodeSelectionSet;
extern const void * RTTI_hkxSkinBinding;
extern const void * RTTI_hkxScene;
extern const void * RTTI_hkaMeshBinding;
extern const void * RTTI_hkaFootstepAnalysisInfo;
extern const void * RTTI_hkpMeshShape;
extern const void * RTTI_hkpExtendedMeshShape;
extern const void * RTTI_hkPackfileWriter;
extern const void * RTTI_hkIstream;
extern const void * RTTI_hkDataWorld;
extern const void * RTTI_hkDataObjectImpl;
extern const void * RTTI_hkDataArrayImpl;
extern const void * RTTI_hkDataClassImpl;
extern const void * RTTI_hkDataClassDict;
extern const void * RTTI_hkDataObjectDict;
extern const void * RTTI_hkDataWorldDict;
extern const void * RTTI_hkDataRefCounted;
extern const void * RTTI_VariableIntArrayImplementation;
extern const void * RTTI_ByteArrayImplementation;
extern const void * RTTI_ArrayOfTuplesImplementation;
extern const void * RTTI_ArrayOfTuplesImplementation__View;
extern const void * RTTI_RealArrayImplementation;
extern const void * RTTI_VecArrayImplementation;
extern const void * RTTI_PointerArrayImplementation;
extern const void * RTTI_CstringArrayImplementation;
extern const void * RTTI_StructArrayImplementation;
extern const void * RTTI_StructArrayImplementation__Object;
extern const void * RTTI_hkDataClassNative;
extern const void * RTTI_hkDataWorldNative;
extern const void * RTTI_hkDataObjectNative;
extern const void * RTTI_hkDataArrayNative;
extern const void * RTTI_hkBinaryTagfileReader;
extern const void * RTTI_hkVersionPatchManager;
extern const void * RTTI_hkSubStreamWriter;
extern const void * RTTI_hkBinaryPackfileWriter;
extern const void * RTTI_hkPooledAllocator;
extern const void * RTTI_hkTempDetectAllocator;
extern const void * RTTI_hkSerializeDeprecated;
extern const void * RTTI_hkpPredGskfAgent;
extern const void * RTTI_hkpIterativeLinearCastAgent;
extern const void * RTTI_hkpBoxBoxAgent;
extern const void * RTTI_hkpSymmetricAgentFlipCollector;
extern const void * RTTI_hkpSymmetricAgentFlipCastCollector;
extern const void * RTTI_hkpSymmetricAgentFlipBodyCollector;
extern const void * RTTI_hkpBvAgent;
extern const void * RTTI_hkpFlagCdBodyPairCollector;
extern const void * RTTI_hkpSimpleClosestContactCollector;
extern const void * RTTI_hkpBvTreeAgent;
extern const void * RTTI_hkpBvTreeStreamAgent;
extern const void * RTTI_hkpMoppAgent;
extern const void * RTTI_hkpPhantomAgent;
extern const void * RTTI_hkpSphereSphereAgent;
extern const void * RTTI_hkpSphereCapsuleAgent;
extern const void * RTTI_hkpSphereTriangleAgent;
extern const void * RTTI_hkpCapsuleCapsuleAgent;
extern const void * RTTI_hkpCapsuleTriangleAgent;
extern const void * RTTI_hkpSphereBoxAgent;
extern const void * RTTI_hkpMultiSphereTriangleAgent;
extern const void * RTTI_hkpMultiRayConvexAgent;
extern const void * RTTI_hkpTransformAgent;
extern const void * RTTI_hkpListAgent;
extern const void * RTTI_hkpConvexListAgent;
extern const void * RTTI_hkpShapeCollectionAgent;
extern const void * RTTI_hkpMultiSphereAgent;
extern const void * RTTI_hkpArrayAction;
extern const void * RTTI_hkAlignSceneToNodeOptions;
extern const void * RTTI_hkxEnvironment;
extern const void * RTTI_hkxMaterialShaderSet;
extern const void * RTTI_hkxVertexBuffer;
extern const void * RTTI_hkxMesh;
extern const void * RTTI_hkOffsetOnlyStreamWriter;
extern const void * RTTI_hkObjectWriter;
extern const void * RTTI_hkPlatformObjectWriter;
extern const void * RTTI_hkPlatformObjectWriter__Cache;
extern const void * RTTI_hkMemoryStreamReader;
extern const void * RTTI_hkPackfileData;
extern const void * RTTI_hkObjectResource;
extern const void * RTTI_hkIArchive;
extern const void * RTTI_hkParserBuffer;
extern const void * RTTI_hkXmlStreamParser;
extern const void * RTTI_hkpGskBaseAgent;
extern const void * RTTI_hkpGskfAgent;
extern const void * RTTI_hkXmlLexAnalyzer;
extern const void * RTTI_BSAudioManagerThread;
extern const void * RTTI_AudioLoadForPlaybackTask;
extern const void * RTTI_AudioLoadToCacheTask;
extern const void * RTTI_BSAudio;
extern const void * RTTI_BSGameSound;
extern const void * RTTI_BSNullImplAudio;
extern const void * RTTI_BSAudioListener;
extern const void * RTTI_BSNullImplAudioListener;
extern const void * RTTI_BSNullImplGameSound;
extern const void * RTTI_BSXAudio2Audio;
extern const void * RTTI_BSXAudio2AudioListener;
extern const void * RTTI_BSXAudio2GameSound;
extern const void * RTTI_BSXAudio2DataSrc;
extern const void * RTTI_ScrapHeap;
extern const void * RTTI_BSCoreMessage;
extern const void * RTTI_BSThread;
extern const void * RTTI_CompactingStore__MoveCallback;
extern const void * RTTI_CompactingStore__NoopMoveCallback;
extern const void * RTTI_CompactingStore__Store;
extern const void * RTTI_MemoryHeap;
extern const void * RTTI_UnitTestMemoryHeap;
extern const void * RTTI_IMemoryHeap;
extern const void * RTTI_ZeroOverheadHeap;
extern const void * RTTI_UnitTestZeroOverheadHeap;
extern const void * RTTI_BSSmallBlockAllocator;
extern const void * RTTI_BSSmallBlockAllocatorUtil__UserPoolBase;
extern const void * RTTI_BSStepThread;
extern const void * RTTI_IMemoryStoreBase;
extern const void * RTTI_IMemoryStore;
extern const void * RTTI_AbstractHeap;
extern const void * RTTI_MouseMoveEvent;
extern const void * RTTI_CharEvent;
extern const void * RTTI_DeviceConnectEvent;
extern const void * RTTI_KinectEvent;
extern const void * RTTI_BSWin32GamerProfile;
extern const void * RTTI_BSIInputDevice;
extern const void * RTTI_BSInputDevice;
extern const void * RTTI_BSGamepadDevice;
extern const void * RTTI_BSGamerProfile;
extern const void * RTTI_BSWin32KeyboardDevice;
extern const void * RTTI_BSWin32MouseDevice;
extern const void * RTTI_BSPCGamepadDeviceDelegate;
extern const void * RTTI_BSPCGamepadDeviceHandler;
extern const void * RTTI_BSWin32GamepadDevice;
extern const void * RTTI_BSPCOrbisGamepadDevice;
extern const void * RTTI_BSKeyboardDevice;
extern const void * RTTI_BSWin32VirtualKeyboardDevice;
extern const void * RTTI_BSMouseDevice;
extern const void * RTTI_BSVirtualKeyboardDevice;
extern const void * RTTI_NiFile;
extern const void * RTTI_NiBinaryStream;
extern const void * RTTI_NiAllocator;
extern const void * RTTI_BSNiAllocator;
extern const void * RTTI_NiStandardAllocator;
extern const void * RTTI_NiSearchPath;
extern const void * RTTI_NiThread;
extern const void * RTTI_BSStringPool__IterationCallback;
extern const void * RTTI_Archive;
extern const void * RTTI_ArchiveFile;
extern const void * RTTI_CompressedArchiveFile;
extern const void * RTTI_BSJobs__JobThread;
extern const void * RTTI_BSFile;
extern const void * RTTI_BSSystemFileAsyncFunctor;
extern const void * RTTI_BSSystemFileStorage;
extern const void * RTTI_BSTaskletGroupData;
extern const void * RTTI_BSTaskletManagerCallback;
extern const void * RTTI_BSTaskletManager;
extern const void * RTTI_BSSearchPath;
extern const void * RTTI_BSWin32TaskletManager;
extern const void * RTTI_BSWin32TaskletGroupData;
extern const void * RTTI_BSResource__StreamBase;
extern const void * RTTI_BSResource__Stream;
extern const void * RTTI_BSResource__AsyncStream;
extern const void * RTTI_BSResource__ArchiveStream;
extern const void * RTTI_BSResource__CacheArchiveOp;
extern const void * RTTI_BSResource__CompressedArchiveStream;
extern const void * RTTI_BSResource__ArchiveManager;
extern const void * RTTI_BSResource__IEntryDB;
extern const void * RTTI_BSResource__IEntryDB__PostFlushNotify;
extern const void * RTTI_BSResource__LocationTraverser;
extern const void * RTTI_BSResource__CacheDrive;
extern const void * RTTI_BSResource__CacheDrive__Impl;
extern const void * RTTI_BSResource__CacheDrive__Task;
extern const void * RTTI_NiObject;
extern const void * RTTI_NiAVObject;
extern const void * RTTI_NiNode;
extern const void * RTTI_NiStream;
extern const void * RTTI_NiStream__BackgroundLoadProcedure;
extern const void * RTTI_NiObjectNET;
extern const void * RTTI_NiLight;
extern const void * RTTI_NiSwitchNode;
extern const void * RTTI_NiStringsExtraData;
extern const void * RTTI_NiCamera;
extern const void * RTTI_BSTriShape;
extern const void * RTTI_BSSkinnedDecalTriShape;
extern const void * RTTI_NiTexture;
extern const void * RTTI_NiSourceTexture;
extern const void * RTTI_BSFlattenedBoneTree;
extern const void * RTTI_NiSkinInstance;
extern const void * RTTI_BSDismemberSkinInstance;
extern const void * RTTI_NiStringExtraData;
extern const void * RTTI_NiTimeController;
extern const void * RTTI_NiExtraData;
extern const void * RTTI_NiGeometryData;
extern const void * RTTI_BSGeometry;
extern const void * RTTI_BSDynamicTriShape;
extern const void * RTTI_NiPointLight;
extern const void * RTTI_NiAVObjectPalette;
extern const void * RTTI_NiDefaultAVObjectPalette;
extern const void * RTTI_BSResourceNiBinaryStream;
extern const void * RTTI_NiDirectionalLight;
extern const void * RTTI_NiCullingProcess;
extern const void * RTTI_NiParticles;
extern const void * RTTI_NiSkinPartition;
extern const void * RTTI_NiVertWeightsExtraData;
extern const void * RTTI_NiGeometry;
extern const void * RTTI_NiSkinData;
extern const void * RTTI_NiShadeProperty;
extern const void * RTTI_NiAlphaAccumulator;
extern const void * RTTI_NiAmbientLight;
extern const void * RTTI_NiBinaryExtraData;
extern const void * RTTI_NiBooleanExtraData;
extern const void * RTTI_NiBSPNode;
extern const void * RTTI_NiColorExtraData;
extern const void * RTTI_NiFloatExtraData;
extern const void * RTTI_NiFloatsExtraData;
extern const void * RTTI_NiFogProperty;
extern const void * RTTI_NiIntegerExtraData;
extern const void * RTTI_NiIntegersExtraData;
extern const void * RTTI_NiParticlesData;
extern const void * RTTI_NiParticleMeshesData;
extern const void * RTTI_NiParticleMeshes;
extern const void * RTTI_NiSpotLight;
extern const void * RTTI_NiSwitchStringExtraData;
extern const void * RTTI_NiTriShapeData;
extern const void * RTTI_NiTriShape;
extern const void * RTTI_NiTriStripsData;
extern const void * RTTI_NiTriStrips;
extern const void * RTTI_NiVectorExtraData;
extern const void * RTTI_BSLODTriShape;
extern const void * RTTI_NiAdditionalGeometryData;
extern const void * RTTI_BSSegmentedTriShape;
extern const void * RTTI_NiBackToFrontAccumulator;
extern const void * RTTI_NiAccumulator;
extern const void * RTTI_NiTriBasedGeomData;
extern const void * RTTI_NiTriBasedGeom;
extern const void * RTTI_NiPick__Results;
extern const void * RTTI_NiCollisionTraversals__IFindIntersections;
extern const void * RTTI_NiCollisionData;
extern const void * RTTI_NiOBBRoot;
extern const void * RTTI_NiBoundingVolume;
extern const void * RTTI_NiBoxBV;
extern const void * RTTI_NiCapsuleBV;
extern const void * RTTI_NiHalfSpaceBV;
extern const void * RTTI_NiSphereBV;
extern const void * RTTI_NiUnionBV;
extern const void * RTTI_NiOBBNode;
extern const void * RTTI_NiOBBLeaf;
extern const void * RTTI_NiIntersector;
extern const void * RTTI_NiBoxSphereIntersector;
extern const void * RTTI_NiBoxCapsuleIntersector;
extern const void * RTTI_NiCapsuleCapsuleIntersector;
extern const void * RTTI_NiCapsuleSphereIntersector;
extern const void * RTTI_NiCapsuleTriIntersector;
extern const void * RTTI_NiSphereTriIntersector;
extern const void * RTTI_NiControllerManager;
extern const void * RTTI_NiControllerSequence;
extern const void * RTTI_NiTextKeyMatch;
extern const void * RTTI_NiMultiTargetTransformController;
extern const void * RTTI_NiBlendInterpolator;
extern const void * RTTI_BSMultiTargetTreadTransfController;
extern const void * RTTI_NiInterpController;
extern const void * RTTI_NiFloatInterpolator;
extern const void * RTTI_NiColorInterpolator;
extern const void * RTTI_NiSingleInterpController;
extern const void * RTTI_NiTransformInterpolator;
extern const void * RTTI_NiPosData;
extern const void * RTTI_NiPathInterpolator;
extern const void * RTTI_NiBlendTransformInterpolator;
extern const void * RTTI_NiBlendFloatInterpolator;
extern const void * RTTI_NiFloatExtraDataController;
extern const void * RTTI_NiTransformController;
extern const void * RTTI_NiBlendAccumTransformInterpolator;
extern const void * RTTI_NiInterpolator;
extern const void * RTTI_BSBlendTreadTransfInterpolator;
extern const void * RTTI_NiKeyBasedInterpolator;
extern const void * RTTI_NiTransformData;
extern const void * RTTI_NiBlendBoolInterpolator;
extern const void * RTTI_NiBlendColorInterpolator;
extern const void * RTTI_NiBlendPoint3Interpolator;
extern const void * RTTI_NiBlendQuaternionInterpolator;
extern const void * RTTI_NiBoolData;
extern const void * RTTI_NiBoolInterpolator;
extern const void * RTTI_NiBoolTimelineInterpolator;
extern const void * RTTI_NiBSplineBasisData;
extern const void * RTTI_NiBSplineData;
extern const void * RTTI_NiBSplineColorInterpolator;
extern const void * RTTI_NiBSplineCompColorInterpolator;
extern const void * RTTI_NiBSplineCompFloatInterpolator;
extern const void * RTTI_NiBSplineCompPoint3Interpolator;
extern const void * RTTI_NiBSplineCompTransformInterpolator;
extern const void * RTTI_NiBSplineFloatInterpolator;
extern const void * RTTI_NiBSplinePoint3Interpolator;
extern const void * RTTI_NiBSplineTransformInterpolator;
extern const void * RTTI_NiColorExtraDataController;
extern const void * RTTI_NiFloatsExtraDataController;
extern const void * RTTI_NiFloatsExtraDataPoint3Controller;
extern const void * RTTI_NiKeyframeManager;
extern const void * RTTI_NiLightColorController;
extern const void * RTTI_NiLightDimmerController;
extern const void * RTTI_NiLookAtController;
extern const void * RTTI_NiLookAtInterpolator;
extern const void * RTTI_NiMorphData;
extern const void * RTTI_NiPathController;
extern const void * RTTI_NiPoint3Interpolator;
extern const void * RTTI_NiQuaternionInterpolator;
extern const void * RTTI_NiFloatController;
extern const void * RTTI_NiRollController;
extern const void * RTTI_NiRotData;
extern const void * RTTI_NiSequence;
extern const void * RTTI_NiSequenceStreamHelper;
extern const void * RTTI_NiStringPalette;
extern const void * RTTI_NiTextKeyExtraData;
extern const void * RTTI_NiUVData;
extern const void * RTTI_NiVisController;
extern const void * RTTI_BSAnimNotes;
extern const void * RTTI_BSAnimNote;
extern const void * RTTI_BSGrabIKNote;
extern const void * RTTI_BSLookIKNote;
extern const void * RTTI_BSRotAccumTransfInterpolator;
extern const void * RTTI_BSTreadTransfInterpolator;
extern const void * RTTI_BSFrustumFOVController;
extern const void * RTTI_NiExtraDataController;
extern const void * RTTI_NiBSplineInterpolator;
extern const void * RTTI_NiPoint3InterpController;
extern const void * RTTI_NiFloatInterpController;
extern const void * RTTI_NiBoolInterpController;
extern const void * RTTI_NiParticleSystem;
extern const void * RTTI_NiPSysEmitterCtlr;
extern const void * RTTI_NiPSysGravityModifier;
extern const void * RTTI_BSPSysHavokUpdateModifier;
extern const void * RTTI_NiMeshParticleSystem;
extern const void * RTTI_NiPSysCylinderEmitter;
extern const void * RTTI_BSStripParticleSystem;
extern const void * RTTI_NiPSysEmitter;
extern const void * RTTI_NiPSysModifierCtlr;
extern const void * RTTI_NiPSysModifier;
extern const void * RTTI_NiPSysMeshUpdateModifier;
extern const void * RTTI_NiPSysUpdateCtlr;
extern const void * RTTI_NiMeshPSysData;
extern const void * RTTI_NiPSysAirFieldAirFrictionCtlr;
extern const void * RTTI_NiPSysAirFieldInheritVelocityCtlr;
extern const void * RTTI_NiPSysAirFieldModifier;
extern const void * RTTI_NiPSysAirFieldSpreadCtlr;
extern const void * RTTI_NiPSysAgeDeathModifier;
extern const void * RTTI_NiPSysBombModifier;
extern const void * RTTI_NiPSysBoundUpdateModifier;
extern const void * RTTI_NiPSysBoxEmitter;
extern const void * RTTI_NiPSysColliderManager;
extern const void * RTTI_NiPSysColorModifier;
extern const void * RTTI_NiPSysData;
extern const void * RTTI_NiPSysDragFieldModifier;
extern const void * RTTI_NiPSysDragModifier;
extern const void * RTTI_NiPSysEmitterCtlrData;
extern const void * RTTI_NiPSysEmitterDeclinationCtlr;
extern const void * RTTI_NiPSysEmitterDeclinationVarCtlr;
extern const void * RTTI_NiPSysEmitterInitialRadiusCtlr;
extern const void * RTTI_NiPSysEmitterLifeSpanCtlr;
extern const void * RTTI_NiPSysEmitterPlanarAngleCtlr;
extern const void * RTTI_NiPSysEmitterPlanarAngleVarCtlr;
extern const void * RTTI_NiPSysEmitterSpeedCtlr;
extern const void * RTTI_NiPSysFieldAttenuationCtlr;
extern const void * RTTI_NiPSysFieldMagnitudeCtlr;
extern const void * RTTI_NiPSysFieldMaxDistanceCtlr;
extern const void * RTTI_NiPSysGravityFieldModifier;
extern const void * RTTI_NiPSysGravityStrengthCtlr;
extern const void * RTTI_NiPSysGrowFadeModifier;
extern const void * RTTI_NiPSysInitialRotAngleCtlr;
extern const void * RTTI_NiPSysInitialRotAngleVarCtlr;
extern const void * RTTI_NiPSysInitialRotSpeedCtlr;
extern const void * RTTI_NiPSysInitialRotSpeedVarCtlr;
extern const void * RTTI_NiPSysMeshEmitter;
extern const void * RTTI_NiPSysModifierActiveCtlr;
extern const void * RTTI_NiPSysPlanarCollider;
extern const void * RTTI_NiPSysPositionModifier;
extern const void * RTTI_NiPSysRadialFieldModifier;
extern const void * RTTI_NiPSysResetOnLoopCtlr;
extern const void * RTTI_NiPSysRotationModifier;
extern const void * RTTI_NiPSysSpawnModifier;
extern const void * RTTI_NiPSysSphereEmitter;
extern const void * RTTI_NiPSysSphericalCollider;
extern const void * RTTI_NiPSysTurbulenceFieldModifier;
extern const void * RTTI_NiPSysVortexFieldModifier;
extern const void * RTTI_BSStripPSysData;
extern const void * RTTI_BSPSysRecycleBoundModifier;
extern const void * RTTI_BSPSysInheritVelocityModifier;
extern const void * RTTI_NiPSysVolumeEmitter;
extern const void * RTTI_NiPSysModifierFloatCtlr;
extern const void * RTTI_NiPSysFieldModifier;
extern const void * RTTI_NiPSysModifierBoolCtlr;
extern const void * RTTI_NiPSysCollider;
extern const void * RTTI_BSTaskManager;
extern const void * RTTI_BSTaskManagerThread;
extern const void * RTTI_BSTaskThread;
extern const void * RTTI_IOManager;
extern const void * RTTI_BSResource__IEntryDB__NotifyLoadDone;
extern const void * RTTI_QueuedFile;
extern const void * RTTI_QueuedNamedFile;
extern const void * RTTI_BSQueuedResourceCollectionBase;
extern const void * RTTI_BSMultiBound;
extern const void * RTTI_BSMultiBoundRoom;
extern const void * RTTI_BSReference;
extern const void * RTTI_BSNodeReferences;
extern const void * RTTI_BSXFlags;
extern const void * RTTI_BSValueNode;
extern const void * RTTI_ITextureDB;
extern const void * RTTI_BSTextureDB__QueuedHandles;
extern const void * RTTI_BSWindModifier;
extern const void * RTTI_BSTempNode;
extern const void * RTTI_BSPortalGraph;
extern const void * RTTI_BSPortalGraphEntry;
extern const void * RTTI_BSOcclusionShape;
extern const void * RTTI_MessageHandler;
extern const void * RTTI_BSRangeNode;
extern const void * RTTI_BSBlastNode;
extern const void * RTTI_BSDebrisNode;
extern const void * RTTI_BSDamageStage;
extern const void * RTTI_PArrayPoint;
extern const void * RTTI_BSPSysArrayEmitter;
extern const void * RTTI_BSInstanceTriShape;
extern const void * RTTI_BSMultiStreamInstanceTriShape;
extern const void * RTTI_BSIStream;
extern const void * RTTI_BSOStream;
extern const void * RTTI_BSMultiBoundShape;
extern const void * RTTI_BSOcclusionBox;
extern const void * RTTI_BSOcclusionPlane;
extern const void * RTTI_BSPortalSharedNode;
extern const void * RTTI_BSBodyMorphOffsetsExtraData;
extern const void * RTTI_BSBehaviorGraphExtraData;
extern const void * RTTI_NiBSBoneLODController;
extern const void * RTTI_BSCullingProcess;
extern const void * RTTI_BSParticleSystemManager;
extern const void * RTTI_BSFurnitureMarkerNode;
extern const void * RTTI_BSBound;
extern const void * RTTI_BSMultiBoundNode;
extern const void * RTTI_BSBoneMap;
extern const void * RTTI_BSAnimInteractionMarker;
extern const void * RTTI_BSSceneGraph;
extern const void * RTTI_BSPSysMultiTargetEmitterCtlr;
extern const void * RTTI_BSSubIndexTriShape;
extern const void * RTTI_BSDistantObjectLargeRefExtraData;
extern const void * RTTI_BSMasterParticleSystem;
extern const void * RTTI_BSProceduralLightningTasklet;
extern const void * RTTI_BSProceduralLightningController;
extern const void * RTTI_BSInvMarker;
extern const void * RTTI_BSBoneLODExtraData;
extern const void * RTTI_BSDecalPlacementVectorExtraData;
extern const void * RTTI_BSParentVelocityModifier;
extern const void * RTTI_BSWArray;
extern const void * RTTI_BSMultiBoundCapsule;
extern const void * RTTI_BSPSysStripUpdateModifier;
extern const void * RTTI_BSPSysSubTexModifier;
extern const void * RTTI_BSPSysScaleModifier;
extern const void * RTTI_BSLagBoneController;
extern const void * RTTI_BSNonUniformScaleExtraData;
extern const void * RTTI_BSNiNode;
extern const void * RTTI_BSTableCurve;
extern const void * RTTI_bhkWorldObject;
extern const void * RTTI_bhkTaskletManagerCallback;
extern const void * RTTI_bhkOnStartupCallback;
extern const void * RTTI_bhkOnExitCallback;
extern const void * RTTI_ahkpWorld;
extern const void * RTTI_bhkWorld__bhkConstraintProjector;
extern const void * RTTI_bhkWorld;
extern const void * RTTI_bhkWorldCinfo;
extern const void * RTTI_hkGenericConstraintCinfo;
extern const void * RTTI_hkStiffSpringConstraintCinfo;
extern const void * RTTI_bhkStiffSpringConstraint;
extern const void * RTTI_hkBallAndSocketConstraintCinfo;
extern const void * RTTI_hkFixedConstraintCinfo;
extern const void * RTTI_bhkWindListener;
extern const void * RTTI_hkpAllRayHitCollector;
extern const void * RTTI_bhkRagdollPenetrationUtil;
extern const void * RTTI_hkaRagdollRaycastInterface;
extern const void * RTTI_hkpCharacterState;
extern const void * RTTI_bhkCharacterState;
extern const void * RTTI_bhkShapeCollection;
extern const void * RTTI_bhkCharacterController;
extern const void * RTTI_bhkCollisionBox;
extern const void * RTTI_bhkICharOrientationController;
extern const void * RTTI_bhkCharacterControllerCinfo;
extern const void * RTTI_bhkCharacterStateClimbing;
extern const void * RTTI_bhkCharacterStateFlying;
extern const void * RTTI_bhkListShape;
extern const void * RTTI_bhkNiCollisionObject;
extern const void * RTTI_bhkRagdollShareData;
extern const void * RTTI_bhkRagdollController;
extern const void * RTTI_bhkCollisionFilter;
extern const void * RTTI_bhkAttachmentCollisionObject;
extern const void * RTTI_bhkLimitedHingeConstraint;
extern const void * RTTI_WeaponObject;
extern const void * RTTI_hkLimitedHingeConstraintCinfo;
extern const void * RTTI_bhkRigidBodyT;
extern const void * RTTI_bhkWorldM;
extern const void * RTTI_bhkRefObject;
extern const void * RTTI_hkNiTriStripsShape;
extern const void * RTTI_hkNormalTriangleShape;
extern const void * RTTI_hkPackedNiTriStripsData;
extern const void * RTTI_hkPackedNiTriStripsShape;
extern const void * RTTI_bhkCapsuleShape;
extern const void * RTTI_bhkNiTriStripsShape;
extern const void * RTTI_bhkPackedNiTriStripsShape;
extern const void * RTTI_bhkBlendCollisionObject;
extern const void * RTTI_hkAvoidBox;
extern const void * RTTI_bhkAvoidBox;
extern const void * RTTI_ahkpMalleableConstraintData;
extern const void * RTTI_bhkMalleableConstraint;
extern const void * RTTI_hkMalleableConstraintCinfo;
extern const void * RTTI_hkBSHeightFieldShape;
extern const void * RTTI_hkProductFeatures;
extern const void * RTTI_bhkCachingShapePhantom;
extern const void * RTTI_hkpCharacterProxyListener;
extern const void * RTTI_bhkCharacterProxyCinfo;
extern const void * RTTI_bhkCharacterProxy;
extern const void * RTTI_bhkCharProxyController;
extern const void * RTTI_bhkCharProxyControllerCinfo;
extern const void * RTTI_hkpCharacterRigidBodyListener;
extern const void * RTTI_bhkCharacterRigidBodyCinfo;
extern const void * RTTI_bhkCharacterRigidBody;
extern const void * RTTI_bhkCharRigidBodyControllerCinfo;
extern const void * RTTI_bhkCharRigidBodyController;
extern const void * RTTI_bhkBallAndSocketConstraint;
extern const void * RTTI_bhkRagdollTemplateData;
extern const void * RTTI_bhkRagdollTemplate;
extern const void * RTTI_hkRagdollConstraintCinfo;
extern const void * RTTI_bhkRagdollConstraint;
extern const void * RTTI_hkpSafeEaseConstraintsAction;
extern const void * RTTI_bhkBipedOrientationController;
extern const void * RTTI_hkThreadMemory;
extern const void * RTTI_bhkMemorySystem;
extern const void * RTTI_hkpSuspendInactiveAgentsUtil;
extern const void * RTTI_bhkCompressedMeshShapeData;
extern const void * RTTI_bhkCompressedMeshShape;
extern const void * RTTI_bhkConvexSweepShape;
extern const void * RTTI_bhkConvexTransformShape;
extern const void * RTTI_bhkConvexTranslateShape;
extern const void * RTTI_bhkConvexVerticesShape;
extern const void * RTTI_bhkCylinderShape;
extern const void * RTTI_bhkMultiSphereShape;
extern const void * RTTI_bhkHeightFieldShape;
extern const void * RTTI_bhkPlaneShape;
extern const void * RTTI_bhkTriangleShape;
extern const void * RTTI_hkScaledMoppBvTreeShape;
extern const void * RTTI_bhkMoppBvTreeShape;
extern const void * RTTI_bhkTransformShape;
extern const void * RTTI_hkConstraintChainCinfo;
extern const void * RTTI_bhkConstraintChain;
extern const void * RTTI_hkBallSocketChainCinfo;
extern const void * RTTI_bhkBallSocketConstraintChain;
extern const void * RTTI_bhkGroupConstraint;
extern const void * RTTI_hkHingeLimitsConstraintCinfo;
extern const void * RTTI_bhkHingeLimitsConstraint;
extern const void * RTTI_bhkGenericConstraint;
extern const void * RTTI_bhkFixedConstraint;
extern const void * RTTI_hkRagdollLimitsConstraintCinfo;
extern const void * RTTI_bhkRagdollLimitsConstraint;
extern const void * RTTI_hkWheelConstraintCinfo;
extern const void * RTTI_bhkWheelConstraint;
extern const void * RTTI_ahkpBreakableConstraintData;
extern const void * RTTI_hkBreakableConstraintCinfo;
extern const void * RTTI_bhkBreakableConstraint;
extern const void * RTTI_bhkBinaryAction;
extern const void * RTTI_bhkAngularDashpotAction;
extern const void * RTTI_bhkDashpotAction;
extern const void * RTTI_bhkLiquidAction;
extern const void * RTTI_bhkMotorAction;
extern const void * RTTI_bhkOrientHingedBodyAction;
extern const void * RTTI_bhkSpringAction;
extern const void * RTTI_bhkBlendController;
extern const void * RTTI_bhkExtraData;
extern const void * RTTI_bhkPoseArray;
extern const void * RTTI_hkaDetectRagdollPenetration;
extern const void * RTTI_bhkCharacterStateInAir;
extern const void * RTTI_bhkCharacterStateJumping;
extern const void * RTTI_bhkCharacterStateOnGround;
extern const void * RTTI_bhkCharacterStateSwimming;
extern const void * RTTI_hkCharControllerShape;
extern const void * RTTI_bhkCharControllerShape;
extern const void * RTTI_bhkQuadOrientationController;
extern const void * RTTI_hkPointToPathConstraintCinfo;
extern const void * RTTI_bhkPositionConstraintMotor;
extern const void * RTTI_bhkVelocityConstraintMotor;
extern const void * RTTI_bhkSpringDamperConstraintMotor;
extern const void * RTTI_hkbCameraShakeEventPayload;
extern const void * RTTI_hkbParticleSystemEventPayload;
extern const void * RTTI_hkbStateChooser;
extern const void * RTTI_hkbTestStateChooser;
extern const void * RTTI_hkbSimulationControlCommand;
extern const void * RTTI_hkbCharacterControlCommand;
extern const void * RTTI_hkbRaiseEventCommand;
extern const void * RTTI_hkbSetWordVariableCommand;
extern const void * RTTI_hkbSetLocalTimeOfClipGeneratorCommand;
extern const void * RTTI_hkbSetBehaviorCommand;
extern const void * RTTI_hkbSetNodePropertyCommand;
extern const void * RTTI_hkbCharacterAddedInfo;
extern const void * RTTI_hkbCharacterInfo;
extern const void * RTTI_hkbCharacterSteppedInfo;
extern const void * RTTI_hkbCharacterSkinInfo;
extern const void * RTTI_hkbBehaviorInfo;
extern const void * RTTI_hkbBehaviorEventsInfo;
extern const void * RTTI_hkbEventRaisedInfo;
extern const void * RTTI_hkbSimulationStateInfo;
extern const void * RTTI_hkbLinkedSymbolInfo;
extern const void * RTTI_hkbAuxiliaryNodeInfo;
extern const void * RTTI_hkbBehaviorGraphInternalStateInfo;
extern const void * RTTI_hkpHeightFieldAgent;
extern const void * RTTI_hkHeightFieldRayForwardingCollector;
extern const void * RTTI_hkpContinuousSimulation;
extern const void * RTTI_hkpMultiThreadedSimulation;
extern const void * RTTI_hkpMultiThreadedSimulation__MtEntityEntityBroadPhaseListener;
extern const void * RTTI_hkpMultiThreadedSimulation__MtPhantomBroadPhaseListener;
extern const void * RTTI_hkpMultiThreadedSimulation__MtBroadPhaseBorderListener;
extern const void * RTTI_bhkCharacterPointCollector;
extern const void * RTTI_ahkpCharacterProxy;
extern const void * RTTI_ahkpCharacterRigidBody;
extern const void * RTTI_hkSolverAllocator;
extern const void * RTTI_bhkThreadMemorySource;
extern const void * RTTI_hkJobThreadPool;
extern const void * RTTI_hkCpuJobThreadPool;
extern const void * RTTI_hkpCompressedMeshShape;
extern const void * RTTI_hkLiquidAction;
extern const void * RTTI_hkOrientHingedBodyAction;
extern const void * RTTI_hkgpConvexHull;
extern const void * RTTI_bhkPointToPathConstraint;
extern const void * RTTI_hkRemoteObjectClientSideListener;
extern const void * RTTI_hkbBehaviorClient;
extern const void * RTTI_hkbClientCharacterState;
extern const void * RTTI_hkpToiResourceMgr;
extern const void * RTTI_hkpDefaultToiResourceMgr;
extern const void * RTTI_hkpDeferredConstraintOwner;
extern const void * RTTI_hkgpIndexedMesh;
extern const void * RTTI_hkpMoppMediator;
extern const void * RTTI_hkpMoppShapeMediator;
extern const void * RTTI_hkpMoppCachedShapeMediator;
extern const void * RTTI_hkpMoppCostFunction;
extern const void * RTTI_hkGeometryProcessingInternals__NearestFeaturePolicy;
extern const void * RTTI_hkProcess;
extern const void * RTTI_hkRemoteObjectProcess;
extern const void * RTTI_hkKdTreeCastCollector;
extern const void * RTTI_hkCpuWorldGetClosestPointsCollector;
extern const void * RTTI_hkCpuWorldLinearCastCollector;
extern const void * RTTI_hkpFixedBufferRayHitCollector;
extern const void * RTTI_hkCpuWorldRayCastCollector;
extern const void * RTTI_hkpSimpleMeshShape;
extern const void * RTTI_hkpMoppNodeMgr;
extern const void * RTTI_hkpMoppSplitter;
extern const void * RTTI_hkpMoppDefaultSplitter;
extern const void * RTTI_hkpMoppCodeGenerator;
extern const void * RTTI_hkpMoppAssembler;
extern const void * RTTI_hkpMoppDefaultAssembler;
extern const void * RTTI_hkgpTriangulatorBase;
extern const void * RTTI_hkgpJobQueue__IJob;
extern const void * RTTI_hkgpMesh;
extern const void * RTTI_hkgpMesh__IConvexOverlap;
extern const void * RTTI_hkgpMesh__IConvexOverlap__IConvexShape;
extern const void * RTTI_hkgpMesh__TriangleShape;
extern const void * RTTI_hkgpMesh__ExternShape;
extern const void * RTTI_hkgpMesh__CollideShapeTriangle;
extern const void * RTTI_hkgpMesh__NearestFeaturePolicy;
extern const void * RTTI_hkGskShape;
extern const void * RTTI_hkgpMeshInternals__SimpleCollector;
extern const void * RTTI_hkgpMeshInternals__TriangleOverlap;
extern const void * RTTI_hkgpMeshInternals__RayCaster;
extern const void * RTTI_IConvexOverlapImpl;
extern const void * RTTI_IConvexOverlapImpl__ShapeBridge;
extern const void * RTTI_hkProcessFactory;
extern const void * RTTI_hkKdTreeBundleCastCollector;
extern const void * RTTI_hkKdTreeBuildInput__Mediator;
extern const void * RTTI_hkpCollidableMediator;
extern const void * RTTI_hkKdTreeCpuBroadphaseBundleCastCollector;
extern const void * RTTI_BSUIScaleformData;
extern const void * RTTI_IMenu;
extern const void * RTTI_GSysAllocBase;
extern const void * RTTI_GSysAllocPaged;
extern const void * RTTI_GSysMemoryMap;
extern const void * RTTI_GFxLog;
extern const void * RTTI_GFxTranslator;
extern const void * RTTI_GFxZlibSupportBase;
extern const void * RTTI_GFxState;
extern const void * RTTI_GFxZlibSupport;
extern const void * RTTI_BSScaleformTranslator;
extern const void * RTTI_BSStreamParserData;
extern const void * RTTI_BSResourceStreamParser;
extern const void * RTTI_GFile;
extern const void * RTTI_GMemoryFile;
extern const void * RTTI_GFxFileOpenerBase;
extern const void * RTTI_BSScaleformFileOpener;
extern const void * RTTI_ScaleformFile__MemoryFile;
extern const void * RTTI_IDebugText;
extern const void * RTTI_DebugText;
extern const void * RTTI_GFxExternalInterface;
extern const void * RTTI_FxDelegate;
extern const void * RTTI_FxDelegateHandler__CallbackProcessor;
extern const void * RTTI_AddCallbackVisitor;
extern const void * RTTI_RemoveCallbackVisitor;
extern const void * RTTI_GFxImageLoader;
extern const void * RTTI_BSScaleformImageLoader;
extern const void * RTTI_BSScaleformMovieLoadTask;
extern const void * RTTI_MoviePlayer;
extern const void * RTTI_BSMusicManager;
extern const void * RTTI_ITrianglePathSplitter;
extern const void * RTTI_IPathSmootherRayCast;
extern const void * RTTI_FindTriangleForLocationWaterFilter;
extern const void * RTTI_BSPathing;
extern const void * RTTI_BSPathing__EdgeFoundVisitor;
extern const void * RTTI_TrianglePathWaterAndLedgeSplitter;
extern const void * RTTI_BSNavmeshInfoSearch;
extern const void * RTTI_BSPrecomputedNavmeshInfoSearch;
extern const void * RTTI_IMovementSetState;
extern const void * RTTI_IMovementQueryState;
extern const void * RTTI_MovementAgentActorState;
extern const void * RTTI_IPathBuilderTracker;
extern const void * RTTI_BSPathingRequest;
extern const void * RTTI_NullPathBuilderTracker;
extern const void * RTTI_IPipelineStageInterface;
extern const void * RTTI_IMovementPlannerAgent;
extern const void * RTTI_IMovementPathManagerAgent;
extern const void * RTTI_IMovementQueryPathFollowing;
extern const void * RTTI_IMovementQueryPathFollowing__INodeVisitor;
extern const void * RTTI_IMovementSetPathFollowing;
extern const void * RTTI_IMovementPlayIdleResult;
extern const void * RTTI_IPathFollowerAction;
extern const void * RTTI_ISelectIdleFilter;
extern const void * RTTI_ICheckEndReachedFunctorMapper;
extern const void * RTTI_IMovementHandlerAgent;
extern const void * RTTI_CheckParameterReachedFunctor;
extern const void * RTTI_CheckGoalReachedFunctor;
extern const void * RTTI_CheckStoppedMovingFunctor;
extern const void * RTTI_MovementAgentPathFollowerStandard;
extern const void * RTTI_MovementSelectIdleUtils__SelectFirstIdleFilter;
extern const void * RTTI_MovementPathManagerAgent;
extern const void * RTTI_IMovementSetGoal;
extern const void * RTTI_IMovementQueryPathingState;
extern const void * RTTI_IMovementPathManagerDataTracker;
extern const void * RTTI_MovementPathManagerArbiter;
extern const void * RTTI_MovementMessageNewPath;
extern const void * RTTI_MovementPathManagerNullTracker;
extern const void * RTTI_BSNavmesh;
extern const void * RTTI_BSNavmeshInfoMap;
extern const void * RTTI_BSNavmeshInfoMap__IRecursiveVisitor;
extern const void * RTTI_BSPrecomputedNavmeshInfoPathMap__INavmeshInfoVisitor;
extern const void * RTTI_BSNavmeshObstacleData;
extern const void * RTTI_PathingTaskData;
extern const void * RTTI_MovementArbitrationAverageFloat;
extern const void * RTTI_MovementArbitrationMaxWeightPoint;
extern const void * RTTI_MovementArbitrationMaxWeightParameters;
extern const void * RTTI_NullMovementSelectIdleResult;
extern const void * RTTI_INavmeshSearchFilterSet;
extern const void * RTTI_BSNavmeshSearchFilters;
extern const void * RTTI_BSNavmeshSearch;
extern const void * RTTI_BSPathingLOSGridCell;
extern const void * RTTI_BSPathingLOSGrid;
extern const void * RTTI_BSPathingLOSGridMap;
extern const void * RTTI_BSPathBuilder;
extern const void * RTTI_PathSmootherRayCastUsePreferredTris;
extern const void * RTTI_PathSmootherRayCastUseTrianglePath;
extern const void * RTTI_BSPathEventManager;
extern const void * RTTI_IMovementControllerRegisterInterface;
extern const void * RTTI_IMovementControllerDataTracker;
extern const void * RTTI_MovementControllerAI;
extern const void * RTTI_NullMovementState;
extern const void * RTTI_BSPathingStreamSimpleBufferRead;
extern const void * RTTI_MovementControllerNullDataTracker;
extern const void * RTTI_MovementMessageDoor;
extern const void * RTTI_MovementMessageApproachingDoor;
extern const void * RTTI_MovementMessageActivateDoor;
extern const void * RTTI_MovementMessageWarpToLocation;
extern const void * RTTI_MovementMessageWarpToMultiple;
extern const void * RTTI_MovementMessageBlocked;
extern const void * RTTI_MovementMessagePlayIdle;
extern const void * RTTI_MovementMessageFreezeDirection;
extern const void * RTTI_MovementMessageSetStaticPath;
extern const void * RTTI_MovementMessageJump;
extern const void * RTTI_IMovementQueryDeltas;
extern const void * RTTI_MovementPostUpdateArbiter;
extern const void * RTTI_IMovementSetStaticAvoider;
extern const void * RTTI_IMovementQueryStaticAvoider;
extern const void * RTTI_MovementPathManagerAgentStaticAvoider;
extern const void * RTTI_IMovementQueryActorAvoidance;
extern const void * RTTI_MovementAgentActorAvoider;
extern const void * RTTI_MovementAgent;
extern const void * RTTI_MovementArbiter;
extern const void * RTTI_IMovementSetTranslationControllerType;
extern const void * RTTI_MovementHandlerAgentTranslationController;
extern const void * RTTI_IMovementSetCorrectionData;
extern const void * RTTI_MovementTweenerAgentFixedDelta;
extern const void * RTTI_MovementHandlerArbiter;
extern const void * RTTI_MovementHandlerAgent;
extern const void * RTTI_IMovementPlannerSetArbitration;
extern const void * RTTI_MovementPlannerArbiter;
extern const void * RTTI_MovementPlannerAgent;
extern const void * RTTI_MovementPathManagerAgentLoadedAreaMonitor;
extern const void * RTTI_IMovementQueryFlight;
extern const void * RTTI_MovementAgentPathFollowerFlight;
extern const void * RTTI_MovementAgentPathFollowerVirtual;
extern const void * RTTI_MovementHandlerAgentAngleController;
extern const void * RTTI_MovementHandlerAgentAngleGain;
extern const void * RTTI_MovementHandlerAgentSpeedPassThrough;
extern const void * RTTI_MovementHandlerAgentAnglePassThrough;
extern const void * RTTI_MovementHandlerAgentDirectionPassThrough;
extern const void * RTTI_MovementHandlerAgentStrafing;
extern const void * RTTI_MovementHandlerAgentLargeDeltaIdle;
extern const void * RTTI_MovementPlannerAgentNavmeshBounds;
extern const void * RTTI_MovementPathManagerAgentAvoidBox;
extern const void * RTTI_IMovementQueryTweener;
extern const void * RTTI_IMovementSetTweener;
extern const void * RTTI_IMovementTweenerAgent;
extern const void * RTTI_MovementTweenerArbiter;
extern const void * RTTI_MovementTweenerAgent;
extern const void * RTTI_MovementStateTweener;
extern const void * RTTI_MovementStateFollowPath;
extern const void * RTTI_MovementSelectIdleUtils__SelectClosestIdleToPath;
extern const void * RTTI_MovementMessagePathEvent;
extern const void * RTTI_MovementMessagePathComplete;
extern const void * RTTI_MovementMessagePathFailed;
extern const void * RTTI_MovementMessagePathCleared;
extern const void * RTTI_BSPathSmootherPOVSearch;
extern const void * RTTI_BSPathingSearchRayCast;
extern const void * RTTI_ISmoothingRayValidator;
extern const void * RTTI_GroundPathRayValidator;
extern const void * RTTI_WaterPathRayValidator;
extern const void * RTTI_IPathingNodeGenerator;
extern const void * RTTI_GroundPathPathingNodeGenerator;
extern const void * RTTI_WaterPathPathingNodeGenerator;
extern const void * RTTI_IPathFollowerState;
extern const void * RTTI_ICheckEndReachedFunctor;
extern const void * RTTI_PathFollowerStatePlayIdle;
extern const void * RTTI_PathFollowerStateFollowPathToParameter;
extern const void * RTTI_PathFollowerStateTurnToAngle;
extern const void * RTTI_PathFollowerStateKeepLastDirection;
extern const void * RTTI_VelocityObstacle__Utilities__BuildOpenEdgeListsVisitor;
extern const void * RTTI_BSNavmeshObstacleUndoData;
extern const void * RTTI_MovementArbitrationVectorAdd;
extern const void * RTTI_bnet__BaseCallback;
extern const void * RTTI_BSPlatform__BSTerminatedCallback;
extern const void * RTTI_BSPlatform__BSBethesdaPlatform;
extern const void * RTTI_BSPlatform__BSAsyncRequestBase;
extern const void * RTTI_BSPlatform__BSBNETImage;
extern const void * RTTI_BSPlatform__BSModImage;
extern const void * RTTI_BSPlatform__BSMarketplaceImage;
extern const void * RTTI_BSPlatform__BSBNETFile;
extern const void * RTTI_BSPlatform__BSModFile;
extern const void * RTTI_BSPlatform__BSMarketplaceFile;
extern const void * RTTI_bnet__EmptyTerminationCB;
extern const void * RTTI_bnet__ExternalAuthInfo;
extern const void * RTTI_bnet__SteamExternalAuthInfo;
extern const void * RTTI_bnet__CustomData__Value;
extern const void * RTTI_BSPlatform__BSUploadRequest;
extern const void * RTTI_BSPlatform__BSDownloadRequest;
extern const void * RTTI_bnet___impl__RefCount;
extern const void * RTTI_bnet___impl__SharedMutex;
extern const void * RTTI_bnet__IDynamicVariableDeleter;
extern const void * RTTI_bnet__ConfigurationEntry;
extern const void * RTTI_bnet___impl__IPool;
extern const void * RTTI_bnet__ConfigurationEntryBoolean;
extern const void * RTTI_bnet__ConfigurationEntryInteger;
extern const void * RTTI_bnet__ConfigurationEntryFloat;
extern const void * RTTI_bnet__ConfigurationEntryLong;
extern const void * RTTI_bnet__ConfigurationEntryString;
extern const void * RTTI_bnet__IJobCollection;
extern const void * RTTI_bnet___detail__Composite;
extern const void * RTTI_bnet__IHeap;
extern const void * RTTI_bnet__IHttpConnectionProvider;
extern const void * RTTI_bnet__Network;
extern const void * RTTI_bnet__UserProcessor;
extern const void * RTTI_bnet__UserQueue;
extern const void * RTTI_bnet__UserProcessorCollection;
extern const void * RTTI_bnet__JobProcessorCollection;
extern const void * RTTI_bnet___impl__AsyncOperation;
extern const void * RTTI_bnet__SuspendFlow;
extern const void * RTTI_bnet__ResumeFlow;
extern const void * RTTI_bnet__CustomData__StringValue;
extern const void * RTTI_bnet__CustomData__BinaryValue;
extern const void * RTTI_bnet__CustomData__ObjectValue;
extern const void * RTTI_bnet__BaseHttpRequest;
extern const void * RTTI_bnet__LogoutFlow;
extern const void * RTTI_std__exception;
extern const void * RTTI_std__bad_weak_ptr;
extern const void * RTTI_bnet__Notification__UserData__ReconnectJob;
extern const void * RTTI_bnet__Notification__UserData__OnSystemIdFetchedRegister;
extern const void * RTTI_bnet__Notification__UserWebSocket__OnSystemIdFetchedSend;
extern const void * RTTI_bnet__Notification__UserWebSocket__OnConnected;
extern const void * RTTI_bnet__IUgcUploader;
extern const void * RTTI_bnet__ChunkedUploadFlow;
extern const void * RTTI_bnet__IDownloader;
extern const void * RTTI_bnet__DownloadFlow;
extern const void * RTTI_bnet__FileDownloader;
extern const void * RTTI_bnet__UgcBrowseRequest;
extern const void * RTTI_bnet__UgcArgLessRequest;
extern const void * RTTI_bnet__UgcCategoryCountRequest;
extern const void * RTTI_bnet__UgcContentUploadRequest;
extern const void * RTTI_bnet__UgcImageUploadRequest;
extern const void * RTTI_bnet__UgcAddVideoRequest;
extern const void * RTTI_bnet__UgcContentRequest;
extern const void * RTTI_bnet__UgcContentUploadDetailsRequest;
extern const void * RTTI_bnet__UgcCreationRequest;
extern const void * RTTI_bnet__UgcEditRequest;
extern const void * RTTI_bnet__UgcFlagRequest;
extern const void * RTTI_bnet__UgcListContentRequest;
extern const void * RTTI_bnet__UgcListCategoriesRequest;
extern const void * RTTI_bnet__UgcListDlcRequest;
extern const void * RTTI_bnet__Ugc__ListPlatformsRequest;
extern const void * RTTI_bnet__Ugc__ListProductsRequest;
extern const void * RTTI_bnet__UgcListFollowedAuthorRequest;
extern const void * RTTI_bnet__UgcListNotificationRequest;
extern const void * RTTI_bnet__UgcListBlacklistedRequest;
extern const void * RTTI_bnet__UgcListFeaturedContentRequest;
extern const void * RTTI_bnet__UgcListByEntitlementIdsRequest;
extern const void * RTTI_bnet__UgcNotificationAcknowledgeRequest;
extern const void * RTTI_bnet__UgcPreviewUploadRequest;
extern const void * RTTI_bnet__UgcQueryRequest;
extern const void * RTTI_bnet__UgcRateRequest;
extern const void * RTTI_bnet__UgcAddReleaseNoteRequest;
extern const void * RTTI_bnet__UgcUpdateReleaseNoteRequest;
extern const void * RTTI_bnet__UgcRemoveReleaseNoteRequest;
extern const void * RTTI_bnet__Ugc__RefreshEntitlementRequest;
extern const void * RTTI_bnet__Job;
extern const void * RTTI_bnet__FreeLessHeap;
extern const void * RTTI_bnet__AcquirableFreeLessHeap;
extern const void * RTTI_bnet__NetworkLoop;
extern const void * RTTI_bnet__AcceptLegalDocumentsRequest;
extern const void * RTTI_bnet__ListLegalDocumentsFlow;
extern const void * RTTI_bnet__AccountLinkingRequest;
extern const void * RTTI_bnet__AccountQuickCreateFlow;
extern const void * RTTI_bnet__AnonymousAuthenticationFlow;
extern const void * RTTI_bnet__SessionAnonymousCreateFlow;
extern const void * RTTI_bnet__SessionQuickCreateFlow;
extern const void * RTTI_bnet__AccountDeletionRequest;
extern const void * RTTI_bnet__AddFingerprintRequest;
extern const void * RTTI_bnet__IsAccountLinkableRequest;
extern const void * RTTI_bnet__UserCredentialsAuthenticationFlow;
extern const void * RTTI_bnet__ExternalAuthenticationFlow;
extern const void * RTTI_bnet__GameCodeAuthenticationFlow;
extern const void * RTTI_bnet__UnlinkAccountFlow;
extern const void * RTTI_bnet__UsernameValidationRequest;
extern const void * RTTI_bnet__VerifyFingerprintRequest;
extern const void * RTTI_bnet__VerifyLinkRequest;
extern const void * RTTI_bnet__TwitchAccountInfoRequest;
extern const void * RTTI_bnet__CheckDisplayNameRequest;
extern const void * RTTI_bnet__CheckEmailRequest;
extern const void * RTTI_bnet__RecoverPasswordRequest;
extern const void * RTTI_bnet__RecoverUsernameRequest;
extern const void * RTTI_bnet__ResendVerificationRequest;
extern const void * RTTI_bnet__SessionValidateRequest;
extern const void * RTTI_bnet__AccountInfoRequest;
extern const void * RTTI_bnet__RetrieveExternalAccountJob;
extern const void * RTTI_bnet__ExternalServiceRetrieveAccountRequest;
extern const void * RTTI_bnet__AccountUpgradeAnonymousToQuickRequest;
extern const void * RTTI_bnet__GameAccountLinkFlow;
extern const void * RTTI_bnet__GameAccountLinkConflictResolveFlow;
extern const void * RTTI_bnet__GameAccountExternalLinkConflictResolveFlow;
extern const void * RTTI_bnet__GameAccountUserCredentialsAuthenticationFlow;
extern const void * RTTI_bnet__GameAccountExternalAuthenticationFlow;
extern const void * RTTI_bnet__GameAccountExternalLinkFlow;
extern const void * RTTI_bnet__GameAccountGameCodeAuthenticationFlow;
extern const void * RTTI_bnet__SessionResumeFlow;
extern const void * RTTI_bnet__NewGameSessionFlow;
extern const void * RTTI_bnet__Entitlements__CombinedEntitlementsListRequest;
extern const void * RTTI_bnet__Entitlements__ListRequest;
extern const void * RTTI_bnet__Entitlements__ConsumeRequest;
extern const void * RTTI_bnet__Entitlements__SearchRequest;
extern const void * RTTI_bnet__VCCS__Fulfillment__UpdateFirstPartyEntitlementRequest;
extern const void * RTTI_bnet__Gsp__Profile__DataAttachmentRequestBase;
extern const void * RTTI_bnet__Gsp__Profile__DataAttachmentCreateRequest;
extern const void * RTTI_bnet__Gsp__Profile__DataAttachmentDeleteRequest;
extern const void * RTTI_bnet__Gsp__Profile__DataAttachmentGetRequest;
extern const void * RTTI_bnet__Gsp__Profile__DataAttachmentListRequest;
extern const void * RTTI_bnet__Gsp__Profile__DataAttachmentUpdateRequest;
extern const void * RTTI_bnet__Gsp__Profile__ProfileGetRequest;
extern const void * RTTI_bnet__Gsp__Profile__ProfileUpdateRequest;
extern const void * RTTI_bnet__EventLog__LogEventRequest;
extern const void * RTTI_bnet__VCCS__Wallet__BalanceRequest;
extern const void * RTTI_bnet__VCCS__Wallet__BalanceListRequest;
extern const void * RTTI_bnet__VCCS__Wallet__PurchaseRequest;
extern const void * RTTI_bnet__VCCS__Wallet__PurchasePreviewRequest;
extern const void * RTTI_bnet__VCCS__Wallet__ServerlessCreditRequest;
extern const void * RTTI_bnet__VCCS__Wallet__ServerlessDebitRequest;
extern const void * RTTI_bnet__UgcMtxPurchaseFlow;
extern const void * RTTI_bnet__VCCS__Catalog__GetContentsRequest;
extern const void * RTTI_bnet__VCCS__Catalog__GetItemRequest;
extern const void * RTTI_bnet__VCCS__Catalog__ListCategoryPathRequest;
extern const void * RTTI_bnet__VCCS__Catalog__ListCategoryPathChildrenRequest;
extern const void * RTTI_bnet__VCCS__Catalog__ListItemsRequest;
extern const void * RTTI_bnet__VCCS__Catalog__GetBundlePreviewRequest;
extern const void * RTTI_bnet__VCCS__Catalog__GetBundlePreviewListRequest;
extern const void * RTTI_bnet__CMS__ListMessagesRequest;
extern const void * RTTI_bnet__CMS__GetMultiMessageRequest;
extern const void * RTTI_bnet__Status__GetExtServerStatusRequest;
extern const void * RTTI_bnet__Status__GetStatusRequest;
extern const void * RTTI_bnet__SessionLogoutRequest;
extern const void * RTTI_bnet__NotificationLogoutRequest;
extern const void * RTTI_bnet__Notification__Context__OnSystemFetched;
extern const void * RTTI_bnet__Notification__ReceiveJob;
extern const void * RTTI_bnet__Notification__FilterJob;
extern const void * RTTI_bnet__UgcCancelUploadRequest;
extern const void * RTTI_bnet__UgcChunkedUploadCompletionRequest;
extern const void * RTTI_bnet__UgcChunkedUploadInitiationRequest;
extern const void * RTTI_bnet__UgcChunkUploadRequest;
extern const void * RTTI_bnet__CdpFileInfoRequest;
extern const void * RTTI_bnet__CdpKeyRequest;
extern const void * RTTI_bnet__BaseFileDownloader;
extern const void * RTTI_bnet__HttpTransport;
extern const void * RTTI_bnet__WinHttpTransport;
extern const void * RTTI_bnet__SessionRefreshRequest;
extern const void * RTTI_bnet__SessionResumeRequest;
extern const void * RTTI_bnet__ListRequiredLegalDocumentsRequest;
extern const void * RTTI_bnet__AuthenticationFlow;
extern const void * RTTI_bnet__BeamQuickCreationRequest;
extern const void * RTTI_bnet__AnonymousAuthRequest;
extern const void * RTTI_bnet__SessionAnonymousAccountCreateRequest;
extern const void * RTTI_bnet__SessionQuickCreateRequest;
extern const void * RTTI_bnet__SessionAuthRequest;
extern const void * RTTI_bnet__BeamUserCredentialsAuthenticationRequest;
extern const void * RTTI_bnet__BeamExternalAuthenticationRequest;
extern const void * RTTI_bnet__SessionExternalAuthRequest;
extern const void * RTTI_bnet__Session__GameCodeAuthRequest;
extern const void * RTTI_bnet__TokenUpgradeRequest;
extern const void * RTTI_bnet__AccountUnlinkingRequest;
extern const void * RTTI_bnet__RetrieveExternalAccountRequest;
extern const void * RTTI_bnet__GameAccountLinkRequest;
extern const void * RTTI_bnet__GameAccountLinkConflictResolveRequest;
extern const void * RTTI_bnet__GameAccountExternalLinkConflictResolveRequest;
extern const void * RTTI_bnet__GameAccountAuthenticationRequest;
extern const void * RTTI_bnet__GameAccountExternalAuthRequest;
extern const void * RTTI_bnet__GameAccountExternalLinkRequest;
extern const void * RTTI_bnet__Session__GameAccountGameCodeAuthRequest;
extern const void * RTTI_bnet__SharedSRWMutex;
extern const void * RTTI_bnet__WebSocketUtils__WebSocketJob;
extern const void * RTTI_bnet__ISocket;
extern const void * RTTI_bnet__CSocket;
extern const void * RTTI_bnet__CSecureSocket;
extern const void * RTTI_bnet__WebSocketUtils__WebSocketJob__InitJob;
extern const void * RTTI_bnet__WebSocketUtils__WebSocketJob__InitJob__SocketInitJob;
extern const void * RTTI_bnet__WebSocketUtils__WebSocketJob__InitJob__SendHandshakeJob;
extern const void * RTTI_bnet__WebSocketUtils__WebSocketJob__InitJob__ReceiveHandshakeJob;
extern const void * RTTI_bnet__WebSocketUtils__WebSocketJob__IWriteJobSequence;
extern const void * RTTI_bnet__WebSocketUtils__WebSocketJob__WriteJobSequence;
extern const void * RTTI_bnet__WebSocketUtils__WebSocketJob__WriteJobSequence__WriteJob;
extern const void * RTTI_bnet__WebSocketUtils__WebSocketJob__ReadJob;
extern const void * RTTI_bnet__Notification__ListSystemRequest;
extern const void * RTTI_bnet__Notification__ChangeFilterRequest;
extern const void * RTTI_bnet__Presence__AppearDoNotDisturbRequest;
extern const void * RTTI_bnet__Presence__AppearOfflineRequest;
extern const void * RTTI_bnet__Presence__GetRequest;
extern const void * RTTI_bnet__Presence__UpdateRequest;
extern const void * RTTI_bnet__SessionTokenRequest;
extern const void * RTTI_bnet__NotificationConnectRequest;
extern const void * RTTI_bnet__SessionAccessTokenRequest;
extern const void * RTTI_bnet__CdpAuthenticationRequest;
extern const void * RTTI_bnet__SessionResumeTokenRequest;
extern const void * RTTI_bnet__BeamAuthenticationRequest;
extern const void * RTTI_bnet__SecureSocket__pImpl__SecureSocketJob;
extern const void * RTTI_bnet__SecureSocket__pImpl__SecureSocketJob__HandshakeJob;
extern const void * RTTI_bnet__SecureSocket__pImpl__SecureSocketJob__InitializeJob;
extern const void * RTTI_bnet__SecureSocket__pImpl__SecureSocketJob__WriteJob;
extern const void * RTTI_bnet__SecureSocket__pImpl__SecureSocketJob__ReceiveJob;
extern const void * RTTI_bnet__SecureSocket__pImpl__SecureSocketJob__ReceiveJob__DecodeJob;
extern const void * RTTI_BSScript__IFindBoundObjectFunctor;
extern const void * RTTI_BSScript__IVMObjectBindInterface;
extern const void * RTTI_BSScript__IVMSaveLoadInterface;
extern const void * RTTI_BSScript__IVirtualMachine;
extern const void * RTTI_BSScript__IVMDebugInterface;
extern const void * RTTI_BSScript__ErrorLogger;
extern const void * RTTI_BSScript__UnlinkedTypes__Function__ConvertTypeFunctor;
extern const void * RTTI_BSScript__ByteCode__PackedInstructionStream__InstructionFunctor;
extern const void * RTTI_BSScript__IMemoryPagePolicy;
extern const void * RTTI_BSScript__SimpleAllocMemoryPagePolicy;
extern const void * RTTI_BSScript__CompiledScriptLoader;
extern const void * RTTI_BSScript__IFunction;
extern const void * RTTI_BSScript__NF_util__NativeFunctionBase;
extern const void * RTTI_BSScript__Internal__VirtualMachine;
extern const void * RTTI_BSScript__Internal__IFuncCallQuery;
extern const void * RTTI_BSScript__Internal__RawFuncCallQuery;
extern const void * RTTI_BSScript__IObjectProcessor;
extern const void * RTTI_BSScript__Internal__CodeTasklet;
extern const void * RTTI_BSScript__Internal__AutoPropGetFunction;
extern const void * RTTI_BSScript__Internal__AutoPropSetFunction;
extern const void * RTTI_BSScript__Internal__NativeFunctionStub;
extern const void * RTTI_BSScript__UnlinkedTypes__InstructionStream__InstructionFunctor;
extern const void * RTTI_BSScript__LinkerProcessor;
extern const void * RTTI_BSScript__Internal__ScriptFunction;
extern const void * RTTI_BSFadeNode;
extern const void * RTTI_BSShaderProperty;
extern const void * RTTI_BSLeafAnimNode;
extern const void * RTTI_BSTreeNode;
extern const void * RTTI_BSImagespaceShaderAlphaBlend;
extern const void * RTTI_BSImagespaceShaderBlur3;
extern const void * RTTI_BSImagespaceShaderBlur5;
extern const void * RTTI_BSImagespaceShaderBlur7;
extern const void * RTTI_BSImagespaceShaderBlur9;
extern const void * RTTI_BSImagespaceShaderBlur11;
extern const void * RTTI_BSImagespaceShaderBlur13;
extern const void * RTTI_BSImagespaceShaderBlur15;
extern const void * RTTI_BSImagespaceShaderNonHDRBlur3;
extern const void * RTTI_BSImagespaceShaderNonHDRBlur5;
extern const void * RTTI_BSImagespaceShaderNonHDRBlur7;
extern const void * RTTI_BSImagespaceShaderNonHDRBlur9;
extern const void * RTTI_BSImagespaceShaderNonHDRBlur11;
extern const void * RTTI_BSImagespaceShaderNonHDRBlur13;
extern const void * RTTI_BSImagespaceShaderNonHDRBlur15;
extern const void * RTTI_BSImagespaceShaderBrightPassBlur3;
extern const void * RTTI_BSImagespaceShaderBrightPassBlur5;
extern const void * RTTI_BSImagespaceShaderBrightPassBlur7;
extern const void * RTTI_BSImagespaceShaderBrightPassBlur9;
extern const void * RTTI_BSImagespaceShaderBrightPassBlur11;
extern const void * RTTI_BSImagespaceShaderBrightPassBlur13;
extern const void * RTTI_BSImagespaceShaderBrightPassBlur15;
extern const void * RTTI_BSImagespaceShaderCopy;
extern const void * RTTI_BSImagespaceShaderCopyDynamicFetchDisabled;
extern const void * RTTI_BSImagespaceShaderCopyScaleBias;
extern const void * RTTI_BSImagespaceShaderTextureMask;
extern const void * RTTI_BSImagespaceShaderGreyScale;
extern const void * RTTI_BSImagespaceShaderCopyCustomViewport;
extern const void * RTTI_BSImagespaceShaderDepthOfField;
extern const void * RTTI_BSImagespaceShaderDepthOfFieldFogged;
extern const void * RTTI_BSImagespaceShaderDepthOfFieldMaskedFogged;
extern const void * RTTI_BSImagespaceShaderDistantBlur;
extern const void * RTTI_BSImagespaceShaderDistantBlurFogged;
extern const void * RTTI_BSImagespaceShaderDistantBlurMaskedFogged;
extern const void * RTTI_BSImagespaceShaderDoubleVision;
extern const void * RTTI_BSImagespaceShaderFXAA;
extern const void * RTTI_BSImagespaceShaderHDRDownSample4;
extern const void * RTTI_BSImagespaceShaderHDRDownSample16Lum;
extern const void * RTTI_BSImagespaceShaderHDRDownSample4RGB2Lum;
extern const void * RTTI_BSImagespaceShaderHDRDownSample16;
extern const void * RTTI_BSImagespaceShaderHDRDownSample4LumClamp;
extern const void * RTTI_BSImagespaceShaderHDRDownSample16LumClamp;
extern const void * RTTI_BSImagespaceShaderHDRDownSample4LightAdapt;
extern const void * RTTI_BSImagespaceShaderHDRDownSample16LightAdapt;
extern const void * RTTI_BSImagespaceShaderHDRTonemapBlendCinematic;
extern const void * RTTI_BSImagespaceShaderHDRTonemapBlendCinematicFade;
extern const void * RTTI_BSImagespaceShaderLocalMap;
extern const void * RTTI_BSImagespaceShaderMap;
extern const void * RTTI_BSImagespaceShaderWorldMap;
extern const void * RTTI_BSImagespaceShaderWorldMapNoSkyBlur;
extern const void * RTTI_BSImagespaceShaderNoiseScrollAndBlend;
extern const void * RTTI_BSImagespaceShaderNoiseNormalmap;
extern const void * RTTI_BSImagespaceShaderRadialBlur;
extern const void * RTTI_BSImagespaceShaderRadialBlurMedium;
extern const void * RTTI_BSImagespaceShaderRadialBlurHigh;
extern const void * RTTI_BSImagespaceShaderRefraction;
extern const void * RTTI_BSImagespaceShaderWaterDisplacementClearSimulation;
extern const void * RTTI_BSImagespaceShaderWaterDisplacementTexOffset;
extern const void * RTTI_BSImagespaceShaderWaterDisplacementWadingRipple;
extern const void * RTTI_BSImagespaceShaderWaterDisplacementRainRipple;
extern const void * RTTI_BSImagespaceShaderWaterWadingHeightmap;
extern const void * RTTI_BSImagespaceShaderWaterRainHeightmap;
extern const void * RTTI_BSImagespaceShaderWaterBlendHeightmaps;
extern const void * RTTI_BSImagespaceShaderWaterSmoothHeightmap;
extern const void * RTTI_BSImagespaceShaderWaterDisplacementNormals;
extern const void * RTTI_BSImagespaceShaderVolumetricLighting;
extern const void * RTTI_BSImagespaceShaderWaterFlow;
extern const void * RTTI_BSImagespaceShaderApplyReflections;
extern const void * RTTI_BSImagespaceShaderISApplyVolumetricLighting;
extern const void * RTTI_BSImagespaceShaderISBasicCopy;
extern const void * RTTI_BSImagespaceShaderISBlur;
extern const void * RTTI_BSImagespaceShaderISVolumetricLightingBlurHCS;
extern const void * RTTI_BSImagespaceShaderISVolumetricLightingBlurVCS;
extern const void * RTTI_BSImagespaceShaderReflectionBlurHCS;
extern const void * RTTI_BSImagespaceShaderReflectionBlurVCS;
extern const void * RTTI_BSImagespaceShaderISParallaxMaskBlurHCS;
extern const void * RTTI_BSImagespaceShaderISParallaxMaskBlurVCS;
extern const void * RTTI_BSImagespaceShaderISDepthOfFieldBlurHCS;
extern const void * RTTI_BSImagespaceShaderISDepthOfFieldBlurVCS;
extern const void * RTTI_BSImagespaceShaderISCompositeVolumetricLighting;
extern const void * RTTI_BSImagespaceShaderISCompositeLensFlare;
extern const void * RTTI_BSImagespaceShaderISCompositeLensFlareVolumetricLighting;
extern const void * RTTI_BSImagespaceShaderISCopySubRegionCS;
extern const void * RTTI_BSImagespaceShaderISDebugSnow;
extern const void * RTTI_BSImagespaceShaderISDownsample;
extern const void * RTTI_BSImagespaceShaderISDownsampleIgnoreBrightest;
extern const void * RTTI_BSImagespaceShaderISDownsampleCS;
extern const void * RTTI_BSImagespaceShaderISDownsampleIgnoreBrightestCS;
extern const void * RTTI_BSImagespaceShaderISExp;
extern const void * RTTI_BSImagespaceShaderISIBLensFlares;
extern const void * RTTI_BSImagespaceShaderISLightingComposite;
extern const void * RTTI_BSImagespaceShaderISLightingCompositeNoDirectionalLight;
extern const void * RTTI_BSImagespaceShaderISLightingCompositeMenu;
extern const void * RTTI_BSImagespaceShaderISPerlinNoiseCS;
extern const void * RTTI_BSImagespaceShaderISPerlinNoise2DCS;
extern const void * RTTI_BSImagespaceShaderReflectionsRayTracing;
extern const void * RTTI_BSImagespaceShaderReflectionsDebugSpecMask;
extern const void * RTTI_BSImagespaceShaderISSAOBlurH;
extern const void * RTTI_BSImagespaceShaderISSAOBlurV;
extern const void * RTTI_BSImagespaceShaderISSAOBlurHCS;
extern const void * RTTI_BSImagespaceShaderISSAOBlurVCS;
extern const void * RTTI_BSImagespaceShaderISSAOCameraZ;
extern const void * RTTI_BSImagespaceShaderISSAOCameraZAndMipsCS;
extern const void * RTTI_BSImagespaceShaderISSAOCompositeSAO;
extern const void * RTTI_BSImagespaceShaderISSAOCompositeFog;
extern const void * RTTI_BSImagespaceShaderISSAOCompositeSAOFog;
extern const void * RTTI_BSImagespaceShaderISMinify;
extern const void * RTTI_BSImagespaceShaderISMinifyContrast;
extern const void * RTTI_BSImagespaceShaderISSAORawAO;
extern const void * RTTI_BSImagespaceShaderISSAORawAONoTemporal;
extern const void * RTTI_BSImagespaceShaderISSAORawAOCS;
extern const void * RTTI_BSImagespaceShaderISSILComposite;
extern const void * RTTI_BSImagespaceShaderISSILRawInd;
extern const void * RTTI_BSImagespaceShaderISSimpleColor;
extern const void * RTTI_BSImagespaceShaderISDisplayDepth;
extern const void * RTTI_BSImagespaceShaderISSnowSSS;
extern const void * RTTI_BSImagespaceShaderISTemporalAA;
extern const void * RTTI_BSImagespaceShaderISTemporalAA_UI;
extern const void * RTTI_BSImagespaceShaderISTemporalAA_Water;
extern const void * RTTI_BSImagespaceShaderISUpsampleDynamicResolution;
extern const void * RTTI_BSImagespaceShaderISWaterBlend;
extern const void * RTTI_BSImagespaceShaderISUnderwaterMask;
extern const void * RTTI_ShadowSceneNode;
extern const void * RTTI_BSLightingShaderProperty;
extern const void * RTTI_BSGrassShaderProperty;
extern const void * RTTI_BSShaderAccumulator;
extern const void * RTTI_BSGrassShader;
extern const void * RTTI_BSLightingShaderMaterialBase;
extern const void * RTTI_BSLightingShaderMaterialEnvmap;
extern const void * RTTI_BSLightingShaderMaterialEye;
extern const void * RTTI_BSLightingShaderMaterialGlowmap;
extern const void * RTTI_BSLightingShaderMaterialParallax;
extern const void * RTTI_BSLightingShaderMaterialParallaxOcc;
extern const void * RTTI_BSLightingShaderMaterialFacegen;
extern const void * RTTI_BSLightingShaderMaterialFacegenTint;
extern const void * RTTI_BSLightingShaderMaterialHairTint;
extern const void * RTTI_BSLightingShaderMaterialLandscape;
extern const void * RTTI_BSLightingShaderMaterialLODLandscape;
extern const void * RTTI_BSLightingShaderMaterialSnow;
extern const void * RTTI_BSLightingShaderMaterialMultiLayerParallax;
extern const void * RTTI_BSEffectShaderProperty;
extern const void * RTTI_ImageSpaceEffectParam;
extern const void * RTTI_ImageSpaceShaderParam;
extern const void * RTTI_BSWaterShaderProperty;
extern const void * RTTI_BSBloodSplatterShaderProperty;
extern const void * RTTI_BSBloodSplatterShader;
extern const void * RTTI_BSImagespaceShaderLensFlare;
extern const void * RTTI_BSImagespaceShaderLensFlareVisibility;
extern const void * RTTI_BSParticleShaderProperty;
extern const void * RTTI_ImageSpaceEffectHDR;
extern const void * RTTI_BSLightingShader;
extern const void * RTTI_BSWaterShader;
extern const void * RTTI_ImageSpaceEffectVolumetricLighting;
extern const void * RTTI_ImageSpaceEffectOption;
extern const void * RTTI_ImageSpaceEffectDepthOfField;
extern const void * RTTI_BSSkyShader;
extern const void * RTTI_BSSkyShaderProperty;
extern const void * RTTI_ImageSpaceEffect;
extern const void * RTTI_BSEffectShaderMaterial;
extern const void * RTTI_BSEffectShader;
extern const void * RTTI_BSDistantTreeShaderProperty;
extern const void * RTTI_BSDistantTreeShader;
extern const void * RTTI_BSCubeMapCamera;
extern const void * RTTI_BSWaterShaderMaterial;
extern const void * RTTI_ImageSpaceEffectWaterDisplacement;
extern const void * RTTI_BSFogProperty;
extern const void * RTTI_BSShadowLight;
extern const void * RTTI_BSBatchRenderer;
extern const void * RTTI_BSClearZNode;
extern const void * RTTI_BSImagespaceShader;
extern const void * RTTI_ImageSpaceEffectRefraction;
extern const void * RTTI_ImageSpaceEffectRadialBlur;
extern const void * RTTI_BSUtilityShader;
extern const void * RTTI_ImageSpaceEffectWorldMap;
extern const void * RTTI_NiThreadProcedure;
extern const void * RTTI_NiMemStream;
extern const void * RTTI_NiCollisionObject;
extern const void * RTTI_BSOrderedNode;
extern const void * RTTI_BSLines;
extern const void * RTTI_BSDynamicLines;
extern const void * RTTI_UnitTest_BSStreamParserStream;
extern const void * RTTI_UnitTest_BSStreamParserData;
extern const void * RTTI_BSShapeConstructor;
extern const void * RTTI_BSBoxConstructor;
extern const void * RTTI_BSOrientedBoxConstructor;
extern const void * RTTI_BSSphereConstructor;
extern const void * RTTI_BSCylinderConstructor;
extern const void * RTTI_BSCapsuleConstructor;
extern const void * RTTI_BSArrowConstructor;
extern const void * RTTI_BSCircleConstructor;
extern const void * RTTI_BSRingConstructor;
extern const void * RTTI_BSFlatQuadConstructor;
extern const void * RTTI_BSDiskConstructor;
extern const void * RTTI_BSMultiIndexTriShape;
extern const void * RTTI_BSShaderMaterial;
extern const void * RTTI_BSLight;
extern const void * RTTI_BSShader;
extern const void * RTTI_NiBoneMatrixSetterI;
extern const void * RTTI_BSReloadShaderI;
extern const void * RTTI_BSParticleShader;
extern const void * RTTI_BSLightingShaderPropertyFloatController;
extern const void * RTTI_BSLightingShaderPropertyUShortController;
extern const void * RTTI_BSLightingShaderPropertyColorController;
extern const void * RTTI_BSEffectShaderPropertyFloatController;
extern const void * RTTI_BSEffectShaderPropertyColorController;
extern const void * RTTI_BSNiAlphaPropertyTestRefController;
extern const void * RTTI_BSPSysSimpleColorModifier;
extern const void * RTTI_BSPSysLODModifier;
extern const void * RTTI_BSShadowDirectionalLight;
extern const void * RTTI_BSShaderResourceManager;
extern const void * RTTI_IRendererResourceManager;
extern const void * RTTI_ImageSpaceEffectGetHit;
extern const void * RTTI_ImageSpaceEffectBlur;
extern const void * RTTI_ImageSpaceEffectFullScreenBlur;
extern const void * RTTI_ImageSpaceEffectMap;
extern const void * RTTI_ImageSpaceEffectNoise;
extern const void * RTTI_BSParabolicCullingProcess;
extern const void * RTTI_BSShadowFrustumLight;
extern const void * RTTI_BSShadowParabolicLight;
extern const void * RTTI_BSComputeShader;
extern const void * RTTI_BSMeshLODTriShape;
extern const void * RTTI_BSLODMultiIndexTriShape;
extern const void * RTTI_BSSubIndexLandTriShape;
extern const void * RTTI_BSSystemMonitor__SocketThread;
extern const void * RTTI_BSSystemMonitor__MemOpsThread;
extern const void * RTTI_BSSystemUtility;
extern const void * RTTI_BSGameDataSystemUtility;
extern const void * RTTI_BSWin32SaveDataSystemUtility;
extern const void * RTTI_BSSaveDataSystemUtility;
extern const void * RTTI_BSSaveDataSystemUtility__Entry;
extern const void * RTTI_BSSaveDataSystemUtilityFile;
extern const void * RTTI_BSSystemUtilitiesStrings;
extern const void * RTTI_BSStreamSystemUtility;
extern const void * RTTI_BSSysInfoSystemUtility;
extern const void * RTTI_CCallbackBase;
extern const void * RTTI_BSWin32SystemUtility;
extern const void * RTTI_BSCacheDriveSystemUtility;
extern const void * RTTI_BSWin32GameDataSystemUtility;
extern const void * RTTI_BSAwardsSystemUtility;
extern const void * RTTI_BSWin32AwardsSystemUtility;
extern const void * RTTI_BSMsgDialogSystemUtility;
extern const void * RTTI_BSDiscBootSystemUtility;
extern const void * RTTI_type_info;
extern const void * RTTI_BSSocket;
extern const void * RTTI_BSSocketServer;
